org.eclipse.viatra.query.runtime.rete.recipes

## Interface RecipesPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RecipesPackageImpl

      public interface RecipesPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type
  See Also:
    `RecipesFactory`
  Generated:
  Model:
    kind="package"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `RecipesPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AGGREGATION_OPERATOR` The meta object id for the 'Aggregation Operator' data type.
    `static int` | `AGGREGATOR_INDEXER_RECIPE` The meta object id for the '`Aggregator Indexer Recipe`' class.
    `static int` | `AGGREGATOR_INDEXER_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `AGGREGATOR_INDEXER_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `AGGREGATOR_INDEXER_RECIPE__MASK` The feature id for the 'Mask' containment reference.
    `static int` | `AGGREGATOR_INDEXER_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `AGGREGATOR_INDEXER_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `AGGREGATOR_INDEXER_RECIPE_FEATURE_COUNT` The number of structural features of the 'Aggregator Indexer Recipe' class.
    `static int` | `AGGREGATOR_INDEXER_RECIPE_OPERATION_COUNT` The number of operations of the 'Aggregator Indexer Recipe' class.
    `static int` | `ALPHA_RECIPE` The meta object id for the '`Alpha Recipe`' class.
    `static int` | `ALPHA_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `ALPHA_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `ALPHA_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `ALPHA_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `ALPHA_RECIPE_FEATURE_COUNT` The number of structural features of the 'Alpha Recipe' class.
    `static int` | `ALPHA_RECIPE_OPERATION_COUNT` The number of operations of the 'Alpha Recipe' class.
    `static int` | `ANTI_JOIN_RECIPE` The meta object id for the '`Anti Join Recipe`' class.
    `static int` | `ANTI_JOIN_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `ANTI_JOIN_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `ANTI_JOIN_RECIPE__LEFT_PARENT` The feature id for the 'Left Parent' containment reference.
    `static int` | `ANTI_JOIN_RECIPE__RIGHT_PARENT` The feature id for the 'Right Parent' containment reference.
    `static int` | `ANTI_JOIN_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `ANTI_JOIN_RECIPE_FEATURE_COUNT` The number of structural features of the 'Anti Join Recipe' class.
    `static int` | `ANTI_JOIN_RECIPE_OPERATION_COUNT` The number of operations of the 'Anti Join Recipe' class.
    `static int` | `BETA_RECIPE` The meta object id for the '`Beta Recipe`' class.
    `static int` | `BETA_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `BETA_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `BETA_RECIPE__LEFT_PARENT` The feature id for the 'Left Parent' containment reference.
    `static int` | `BETA_RECIPE__RIGHT_PARENT` The feature id for the 'Right Parent' containment reference.
    `static int` | `BETA_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `BETA_RECIPE_FEATURE_COUNT` The number of structural features of the 'Beta Recipe' class.
    `static int` | `BETA_RECIPE_OPERATION_COUNT` The number of operations of the 'Beta Recipe' class.
    `static int` | `CHECK_RECIPE` The meta object id for the '`Check Recipe`' class.
    `static int` | `CHECK_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `CHECK_RECIPE__CACHE_OUTPUT` The feature id for the 'Cache Output' attribute.
    `static int` | `CHECK_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `CHECK_RECIPE__EXPRESSION` The feature id for the 'Expression' containment reference.
    `static int` | `CHECK_RECIPE__MAPPED_INDICES` The feature id for the 'Mapped Indices' map.
    `static int` | `CHECK_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `CHECK_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `CHECK_RECIPE_FEATURE_COUNT` The number of structural features of the 'Check Recipe' class.
    `static int` | `CHECK_RECIPE_OPERATION_COUNT` The number of operations of the 'Check Recipe' class.
    `static int` | `CONSTANT_RECIPE` The meta object id for the '`Constant Recipe`' class.
    `static int` | `CONSTANT_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `CONSTANT_RECIPE__CONSTANT_VALUES` The feature id for the 'Constant Values' attribute list.
    `static int` | `CONSTANT_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `CONSTANT_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `CONSTANT_RECIPE_FEATURE_COUNT` The number of structural features of the 'Constant Recipe' class.
    `static int` | `CONSTANT_RECIPE_OPERATION_COUNT` The number of operations of the 'Constant Recipe' class.
    `static java.lang.String` | `copyright`
    `static int` | `COUNT_AGGREGATOR_RECIPE` The meta object id for the '`Count Aggregator Recipe`' class.
    `static int` | `COUNT_AGGREGATOR_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `COUNT_AGGREGATOR_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `COUNT_AGGREGATOR_RECIPE__PARENT` The feature id for the 'Parent' containment reference.
    `static int` | `COUNT_AGGREGATOR_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `COUNT_AGGREGATOR_RECIPE_FEATURE_COUNT` The number of structural features of the 'Count Aggregator Recipe' class.
    `static int` | `COUNT_AGGREGATOR_RECIPE_OPERATION_COUNT` The number of operations of the 'Count Aggregator Recipe' class.
    `static int` | `DISCRIMINATOR_BUCKET_RECIPE` The meta object id for the '`Discriminator Bucket Recipe`' class.
    `static int` | `DISCRIMINATOR_BUCKET_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `DISCRIMINATOR_BUCKET_RECIPE__BUCKET_KEY` The feature id for the 'Bucket Key' attribute.
    `static int` | `DISCRIMINATOR_BUCKET_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `DISCRIMINATOR_BUCKET_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `DISCRIMINATOR_BUCKET_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `DISCRIMINATOR_BUCKET_RECIPE_FEATURE_COUNT` The number of structural features of the 'Discriminator Bucket Recipe' class.
    `static int` | `DISCRIMINATOR_BUCKET_RECIPE_OPERATION_COUNT` The number of operations of the 'Discriminator Bucket Recipe' class.
    `static int` | `DISCRIMINATOR_DISPATCHER_RECIPE` The meta object id for the '`Discriminator Dispatcher Recipe`' class.
    `static int` | `DISCRIMINATOR_DISPATCHER_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `DISCRIMINATOR_DISPATCHER_RECIPE__DISCRIMINATION_COLUMN_INDEX` The feature id for the 'Discrimination Column Index' attribute.
    `static int` | `DISCRIMINATOR_DISPATCHER_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `DISCRIMINATOR_DISPATCHER_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `DISCRIMINATOR_DISPATCHER_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `DISCRIMINATOR_DISPATCHER_RECIPE_FEATURE_COUNT` The number of structural features of the 'Discriminator Dispatcher Recipe' class.
    `static int` | `DISCRIMINATOR_DISPATCHER_RECIPE_OPERATION_COUNT` The number of operations of the 'Discriminator Dispatcher Recipe' class.
    `static RecipesPackage` | `eINSTANCE` The singleton instance of the package.
    `static java.lang.String` | `eNAME` The package name.
    `static java.lang.String` | `eNS_PREFIX` The package namespace name.
    `static java.lang.String` | `eNS_URI` The package namespace URI.
    `static int` | `EQUALITY_FILTER_RECIPE` The meta object id for the '`Equality Filter Recipe`' class.
    `static int` | `EQUALITY_FILTER_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `EQUALITY_FILTER_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `EQUALITY_FILTER_RECIPE__INDICES` The feature id for the 'Indices' attribute list.
    `static int` | `EQUALITY_FILTER_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `EQUALITY_FILTER_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `EQUALITY_FILTER_RECIPE_FEATURE_COUNT` The number of structural features of the 'Equality Filter Recipe' class.
    `static int` | `EQUALITY_FILTER_RECIPE_OPERATION_COUNT` The number of operations of the 'Equality Filter Recipe' class.
    `static int` | `EVAL_RECIPE` The meta object id for the '`Eval Recipe`' class.
    `static int` | `EVAL_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `EVAL_RECIPE__CACHE_OUTPUT` The feature id for the 'Cache Output' attribute.
    `static int` | `EVAL_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `EVAL_RECIPE__EXPRESSION` The feature id for the 'Expression' containment reference.
    `static int` | `EVAL_RECIPE__MAPPED_INDICES` The feature id for the 'Mapped Indices' map.
    `static int` | `EVAL_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `EVAL_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `EVAL_RECIPE__UNWINDING` The feature id for the 'Unwinding' attribute.
    `static int` | `EVAL_RECIPE_FEATURE_COUNT` The number of structural features of the 'Eval Recipe' class.
    `static int` | `EVAL_RECIPE_OPERATION_COUNT` The number of operations of the 'Eval Recipe' class.
    `static int` | `EXISTENCE_JOIN_RECIPE` The meta object id for the '`Existence Join Recipe`' class.
    `static int` | `EXISTENCE_JOIN_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `EXISTENCE_JOIN_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `EXISTENCE_JOIN_RECIPE__LEFT_PARENT` The feature id for the 'Left Parent' containment reference.
    `static int` | `EXISTENCE_JOIN_RECIPE__RIGHT_PARENT` The feature id for the 'Right Parent' containment reference.
    `static int` | `EXISTENCE_JOIN_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `EXISTENCE_JOIN_RECIPE_FEATURE_COUNT` The number of structural features of the 'Existence Join Recipe' class.
    `static int` | `EXISTENCE_JOIN_RECIPE_OPERATION_COUNT` The number of operations of the 'Existence Join Recipe' class.
    `static int` | `EXPRESSION_DEFINITION` The meta object id for the '`Expression Definition`' class.
    `static int` | `EXPRESSION_DEFINITION__EVALUATOR` The feature id for the 'Evaluator' attribute.
    `static int` | `EXPRESSION_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Expression Definition' class.
    `static int` | `EXPRESSION_DEFINITION_OPERATION_COUNT` The number of operations of the 'Expression Definition' class.
    `static int` | `EXPRESSION_ENFORCER_RECIPE` The meta object id for the '`Expression Enforcer Recipe`' class.
    `static int` | `EXPRESSION_ENFORCER_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `EXPRESSION_ENFORCER_RECIPE__CACHE_OUTPUT` The feature id for the 'Cache Output' attribute.
    `static int` | `EXPRESSION_ENFORCER_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `EXPRESSION_ENFORCER_RECIPE__EXPRESSION` The feature id for the 'Expression' containment reference.
    `static int` | `EXPRESSION_ENFORCER_RECIPE__MAPPED_INDICES` The feature id for the 'Mapped Indices' map.
    `static int` | `EXPRESSION_ENFORCER_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `EXPRESSION_ENFORCER_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `EXPRESSION_ENFORCER_RECIPE_FEATURE_COUNT` The number of structural features of the 'Expression Enforcer Recipe' class.
    `static int` | `EXPRESSION_ENFORCER_RECIPE_OPERATION_COUNT` The number of operations of the 'Expression Enforcer Recipe' class.
    `static int` | `FILTER_RECIPE` The meta object id for the '`Filter Recipe`' class.
    `static int` | `FILTER_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `FILTER_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `FILTER_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `FILTER_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `FILTER_RECIPE_FEATURE_COUNT` The number of structural features of the 'Filter Recipe' class.
    `static int` | `FILTER_RECIPE_OPERATION_COUNT` The number of operations of the 'Filter Recipe' class.
    `static int` | `INDEX` The meta object id for the 'Index' data type.
    `static int` | `INDEXER_BASED_AGGREGATOR_RECIPE` The meta object id for the '`Indexer Based Aggregator Recipe`' class.
    `static int` | `INDEXER_BASED_AGGREGATOR_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `INDEXER_BASED_AGGREGATOR_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `INDEXER_BASED_AGGREGATOR_RECIPE__PARENT` The feature id for the 'Parent' containment reference.
    `static int` | `INDEXER_BASED_AGGREGATOR_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `INDEXER_BASED_AGGREGATOR_RECIPE_FEATURE_COUNT` The number of structural features of the 'Indexer Based Aggregator Recipe' class.
    `static int` | `INDEXER_BASED_AGGREGATOR_RECIPE_OPERATION_COUNT` The number of operations of the 'Indexer Based Aggregator Recipe' class.
    `static int` | `INDEXER_RECIPE` The meta object id for the '`Indexer Recipe`' class.
    `static int` | `INDEXER_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `INDEXER_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `INDEXER_RECIPE__MASK` The feature id for the 'Mask' containment reference.
    `static int` | `INDEXER_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `INDEXER_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `INDEXER_RECIPE_FEATURE_COUNT` The number of structural features of the 'Indexer Recipe' class.
    `static int` | `INDEXER_RECIPE_OPERATION_COUNT` The number of operations of the 'Indexer Recipe' class.
    `static int` | `INEQUALITY_FILTER_RECIPE` The meta object id for the '`Inequality Filter Recipe`' class.
    `static int` | `INEQUALITY_FILTER_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `INEQUALITY_FILTER_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `INEQUALITY_FILTER_RECIPE__INEQUALS` The feature id for the 'Inequals' attribute list.
    `static int` | `INEQUALITY_FILTER_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `INEQUALITY_FILTER_RECIPE__SUBJECT` The feature id for the 'Subject' attribute.
    `static int` | `INEQUALITY_FILTER_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `INEQUALITY_FILTER_RECIPE_FEATURE_COUNT` The number of structural features of the 'Inequality Filter Recipe' class.
    `static int` | `INEQUALITY_FILTER_RECIPE_OPERATION_COUNT` The number of operations of the 'Inequality Filter Recipe' class.
    `static int` | `INPUT_FILTER_RECIPE` The meta object id for the '`Input Filter Recipe`' class.
    `static int` | `INPUT_FILTER_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `INPUT_FILTER_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `INPUT_FILTER_RECIPE__INPUT_KEY` The feature id for the 'Input Key' attribute.
    `static int` | `INPUT_FILTER_RECIPE__KEY_ID` The feature id for the 'Key ID' attribute.
    `static int` | `INPUT_FILTER_RECIPE__MASK` The feature id for the 'Mask' containment reference.
    `static int` | `INPUT_FILTER_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `INPUT_FILTER_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `INPUT_FILTER_RECIPE_FEATURE_COUNT` The number of structural features of the 'Input Filter Recipe' class.
    `static int` | `INPUT_FILTER_RECIPE_OPERATION_COUNT` The number of operations of the 'Input Filter Recipe' class.
    `static int` | `INPUT_RECIPE` The meta object id for the '`Input Recipe`' class.
    `static int` | `INPUT_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `INPUT_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `INPUT_RECIPE__INPUT_KEY` The feature id for the 'Input Key' attribute.
    `static int` | `INPUT_RECIPE__KEY_ARITY` The feature id for the 'Key Arity' attribute.
    `static int` | `INPUT_RECIPE__KEY_ID` The feature id for the 'Key ID' attribute.
    `static int` | `INPUT_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `INPUT_RECIPE_FEATURE_COUNT` The number of structural features of the 'Input Recipe' class.
    `static int` | `INPUT_RECIPE_OPERATION_COUNT` The number of operations of the 'Input Recipe' class.
    `static int` | `JOIN_RECIPE` The meta object id for the '`Join Recipe`' class.
    `static int` | `JOIN_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `JOIN_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `JOIN_RECIPE__LEFT_PARENT` The feature id for the 'Left Parent' containment reference.
    `static int` | `JOIN_RECIPE__RIGHT_PARENT` The feature id for the 'Right Parent' containment reference.
    `static int` | `JOIN_RECIPE__RIGHT_PARENT_COMPLEMENTARY_MASK` The feature id for the 'Right Parent Complementary Mask' containment reference.
    `static int` | `JOIN_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `JOIN_RECIPE_FEATURE_COUNT` The number of structural features of the 'Join Recipe' class.
    `static int` | `JOIN_RECIPE_OPERATION_COUNT` The number of operations of the 'Join Recipe' class.
    `static int` | `MASK` The meta object id for the '`Mask`' class.
    `static int` | `MASK__SOURCE_ARITY` The feature id for the 'Source Arity' attribute.
    `static int` | `MASK__SOURCE_INDICES` The feature id for the 'Source Indices' attribute list.
    `static int` | `MASK_FEATURE_COUNT` The number of structural features of the 'Mask' class.
    `static int` | `MASK_OPERATION_COUNT` The number of operations of the 'Mask' class.
    `static int` | `MONOTONICITY_INFO` The meta object id for the '`Monotonicity Info`' class.
    `static int` | `MONOTONICITY_INFO__CORE_MASK` The feature id for the 'Core Mask' containment reference.
    `static int` | `MONOTONICITY_INFO__POSET_COMPARATOR` The feature id for the 'Poset Comparator' attribute.
    `static int` | `MONOTONICITY_INFO__POSET_MASK` The feature id for the 'Poset Mask' containment reference.
    `static int` | `MONOTONICITY_INFO_FEATURE_COUNT` The number of structural features of the 'Monotonicity Info' class.
    `static int` | `MONOTONICITY_INFO_OPERATION_COUNT` The number of operations of the 'Monotonicity Info' class.
    `static int` | `MULTI_PARENT_NODE_RECIPE` The meta object id for the '`Multi Parent Node Recipe`' class.
    `static int` | `MULTI_PARENT_NODE_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `MULTI_PARENT_NODE_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `MULTI_PARENT_NODE_RECIPE__PARENTS` The feature id for the 'Parents' reference list.
    `static int` | `MULTI_PARENT_NODE_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `MULTI_PARENT_NODE_RECIPE_FEATURE_COUNT` The number of structural features of the 'Multi Parent Node Recipe' class.
    `static int` | `MULTI_PARENT_NODE_RECIPE_OPERATION_COUNT` The number of operations of the 'Multi Parent Node Recipe' class.
    `static int` | `PRODUCTION_RECIPE` The meta object id for the '`Production Recipe`' class.
    `static int` | `PRODUCTION_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `PRODUCTION_RECIPE__DELETE_REDERIVE_EVALUATION` The feature id for the 'Delete Rederive Evaluation' attribute.
    `static int` | `PRODUCTION_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `PRODUCTION_RECIPE__MAPPED_INDICES` The feature id for the 'Mapped Indices' map.
    `static int` | `PRODUCTION_RECIPE__OPTIONAL_MONOTONICITY_INFO` The feature id for the 'Optional Monotonicity Info' containment reference.
    `static int` | `PRODUCTION_RECIPE__PARENTS` The feature id for the 'Parents' reference list.
    `static int` | `PRODUCTION_RECIPE__PATTERN` The feature id for the 'Pattern' attribute.
    `static int` | `PRODUCTION_RECIPE__PATTERN_FQN` The feature id for the 'Pattern FQN' attribute.
    `static int` | `PRODUCTION_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `PRODUCTION_RECIPE_FEATURE_COUNT` The number of structural features of the 'Production Recipe' class.
    `static int` | `PRODUCTION_RECIPE_OPERATION_COUNT` The number of operations of the 'Production Recipe' class.
    `static int` | `PROJECTION_INDEXER_RECIPE` The meta object id for the '`Projection Indexer Recipe`' class.
    `static int` | `PROJECTION_INDEXER_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `PROJECTION_INDEXER_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `PROJECTION_INDEXER_RECIPE__MASK` The feature id for the 'Mask' containment reference.
    `static int` | `PROJECTION_INDEXER_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `PROJECTION_INDEXER_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `PROJECTION_INDEXER_RECIPE_FEATURE_COUNT` The number of structural features of the 'Projection Indexer Recipe' class.
    `static int` | `PROJECTION_INDEXER_RECIPE_OPERATION_COUNT` The number of operations of the 'Projection Indexer Recipe' class.
    `static int` | `REDERIVABLE_NODE_RECIPE` The meta object id for the '`Rederivable Node Recipe`' class.
    `static int` | `REDERIVABLE_NODE_RECIPE__DELETE_REDERIVE_EVALUATION` The feature id for the 'Delete Rederive Evaluation' attribute.
    `static int` | `REDERIVABLE_NODE_RECIPE__OPTIONAL_MONOTONICITY_INFO` The feature id for the 'Optional Monotonicity Info' containment reference.
    `static int` | `REDERIVABLE_NODE_RECIPE_FEATURE_COUNT` The number of structural features of the 'Rederivable Node Recipe' class.
    `static int` | `REDERIVABLE_NODE_RECIPE_OPERATION_COUNT` The number of operations of the 'Rederivable Node Recipe' class.
    `static int` | `RELATION_EVALUATION_RECIPE` The meta object id for the '`Relation Evaluation Recipe`' class.
    `static int` | `RELATION_EVALUATION_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `RELATION_EVALUATION_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `RELATION_EVALUATION_RECIPE__EVALUATOR` The feature id for the 'Evaluator' reference.
    `static int` | `RELATION_EVALUATION_RECIPE__PARENTS` The feature id for the 'Parents' reference list.
    `static int` | `RELATION_EVALUATION_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `RELATION_EVALUATION_RECIPE_FEATURE_COUNT` The number of structural features of the 'Relation Evaluation Recipe' class.
    `static int` | `RELATION_EVALUATION_RECIPE_OPERATION_COUNT` The number of operations of the 'Relation Evaluation Recipe' class.
    `static int` | `RETE_NODE_RECIPE` The meta object id for the '`Rete Node Recipe`' class.
    `static int` | `RETE_NODE_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `RETE_NODE_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `RETE_NODE_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `RETE_NODE_RECIPE_FEATURE_COUNT` The number of structural features of the 'Rete Node Recipe' class.
    `static int` | `RETE_NODE_RECIPE_OPERATION_COUNT` The number of operations of the 'Rete Node Recipe' class.
    `static int` | `RETE_RECIPE` The meta object id for the '`Rete Recipe`' class.
    `static int` | `RETE_RECIPE__RECIPE_NODES` The feature id for the 'Recipe Nodes' containment reference list.
    `static int` | `RETE_RECIPE_FEATURE_COUNT` The number of structural features of the 'Rete Recipe' class.
    `static int` | `RETE_RECIPE_OPERATION_COUNT` The number of operations of the 'Rete Recipe' class.
    `static int` | `SEMI_JOIN_RECIPE` The meta object id for the '`Semi Join Recipe`' class.
    `static int` | `SEMI_JOIN_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `SEMI_JOIN_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `SEMI_JOIN_RECIPE__LEFT_PARENT` The feature id for the 'Left Parent' containment reference.
    `static int` | `SEMI_JOIN_RECIPE__RIGHT_PARENT` The feature id for the 'Right Parent' containment reference.
    `static int` | `SEMI_JOIN_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `SEMI_JOIN_RECIPE_FEATURE_COUNT` The number of structural features of the 'Semi Join Recipe' class.
    `static int` | `SEMI_JOIN_RECIPE_OPERATION_COUNT` The number of operations of the 'Semi Join Recipe' class.
    `static int` | `SINGLE_COLUMN_AGGREGATOR_RECIPE` The meta object id for the '`Single Column Aggregator Recipe`' class.
    `static int` | `SINGLE_COLUMN_AGGREGATOR_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `SINGLE_COLUMN_AGGREGATOR_RECIPE__AGGREGABLE_INDEX` The feature id for the 'Aggregable Index' attribute.
    `static int` | `SINGLE_COLUMN_AGGREGATOR_RECIPE__DELETE_REDERIVE_EVALUATION` The feature id for the 'Delete Rederive Evaluation' attribute.
    `static int` | `SINGLE_COLUMN_AGGREGATOR_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `SINGLE_COLUMN_AGGREGATOR_RECIPE__GROUP_BY_MASK` The feature id for the 'Group By Mask' containment reference.
    `static int` | `SINGLE_COLUMN_AGGREGATOR_RECIPE__MULTISET_AGGREGATION_OPERATOR` The feature id for the 'Multiset Aggregation Operator' attribute.
    `static int` | `SINGLE_COLUMN_AGGREGATOR_RECIPE__OPTIONAL_MONOTONICITY_INFO` The feature id for the 'Optional Monotonicity Info' containment reference.
    `static int` | `SINGLE_COLUMN_AGGREGATOR_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `SINGLE_COLUMN_AGGREGATOR_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `SINGLE_COLUMN_AGGREGATOR_RECIPE_FEATURE_COUNT` The number of structural features of the 'Single Column Aggregator Recipe' class.
    `static int` | `SINGLE_COLUMN_AGGREGATOR_RECIPE_OPERATION_COUNT` The number of operations of the 'Single Column Aggregator Recipe' class.
    `static int` | `SINGLE_PARENT_NODE_RECIPE` The meta object id for the '`Single Parent Node Recipe`' class.
    `static int` | `SINGLE_PARENT_NODE_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `SINGLE_PARENT_NODE_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `SINGLE_PARENT_NODE_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `SINGLE_PARENT_NODE_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `SINGLE_PARENT_NODE_RECIPE_FEATURE_COUNT` The number of structural features of the 'Single Parent Node Recipe' class.
    `static int` | `SINGLE_PARENT_NODE_RECIPE_OPERATION_COUNT` The number of operations of the 'Single Parent Node Recipe' class.
    `static int` | `STRING_INDEX_MAP_ENTRY` The meta object id for the '`String Index Map Entry`' class.
    `static int` | `STRING_INDEX_MAP_ENTRY__KEY` The feature id for the 'Key' attribute.
    `static int` | `STRING_INDEX_MAP_ENTRY__VALUE` The feature id for the 'Value' attribute.
    `static int` | `STRING_INDEX_MAP_ENTRY_FEATURE_COUNT` The number of structural features of the 'String Index Map Entry' class.
    `static int` | `STRING_INDEX_MAP_ENTRY_OPERATION_COUNT` The number of operations of the 'String Index Map Entry' class.
    `static int` | `TRANSITIVE_CLOSURE_RECIPE` The meta object id for the '`Transitive Closure Recipe`' class.
    `static int` | `TRANSITIVE_CLOSURE_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `TRANSITIVE_CLOSURE_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `TRANSITIVE_CLOSURE_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `TRANSITIVE_CLOSURE_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `TRANSITIVE_CLOSURE_RECIPE_FEATURE_COUNT` The number of structural features of the 'Transitive Closure Recipe' class.
    `static int` | `TRANSITIVE_CLOSURE_RECIPE_OPERATION_COUNT` The number of operations of the 'Transitive Closure Recipe' class.
    `static int` | `TRANSPARENT_RECIPE` The meta object id for the '`Transparent Recipe`' class.
    `static int` | `TRANSPARENT_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `TRANSPARENT_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `TRANSPARENT_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `TRANSPARENT_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `TRANSPARENT_RECIPE_FEATURE_COUNT` The number of structural features of the 'Transparent Recipe' class.
    `static int` | `TRANSPARENT_RECIPE_OPERATION_COUNT` The number of operations of the 'Transparent Recipe' class.
    `static int` | `TRIMMER_RECIPE` The meta object id for the '`Trimmer Recipe`' class.
    `static int` | `TRIMMER_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `TRIMMER_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `TRIMMER_RECIPE__MASK` The feature id for the 'Mask' containment reference.
    `static int` | `TRIMMER_RECIPE__PARENT` The feature id for the 'Parent' reference.
    `static int` | `TRIMMER_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `TRIMMER_RECIPE_FEATURE_COUNT` The number of structural features of the 'Trimmer Recipe' class.
    `static int` | `TRIMMER_RECIPE_OPERATION_COUNT` The number of operations of the 'Trimmer Recipe' class.
    `static int` | `UNIQUENESS_ENFORCER_RECIPE` The meta object id for the '`Uniqueness Enforcer Recipe`' class.
    `static int` | `UNIQUENESS_ENFORCER_RECIPE___GET_ARITY` The operation id for the 'Get Arity' operation.
    `static int` | `UNIQUENESS_ENFORCER_RECIPE__DELETE_REDERIVE_EVALUATION` The feature id for the 'Delete Rederive Evaluation' attribute.
    `static int` | `UNIQUENESS_ENFORCER_RECIPE__EQUIVALENCE_CLASS_IDS` The feature id for the 'Equivalence Class IDs' attribute list.
    `static int` | `UNIQUENESS_ENFORCER_RECIPE__OPTIONAL_MONOTONICITY_INFO` The feature id for the 'Optional Monotonicity Info' containment reference.
    `static int` | `UNIQUENESS_ENFORCER_RECIPE__PARENTS` The feature id for the 'Parents' reference list.
    `static int` | `UNIQUENESS_ENFORCER_RECIPE__TRACE_INFO` The feature id for the 'Trace Info' attribute.
    `static int` | `UNIQUENESS_ENFORCER_RECIPE_FEATURE_COUNT` The number of structural features of the 'Uniqueness Enforcer Recipe' class.
    `static int` | `UNIQUENESS_ENFORCER_RECIPE_OPERATION_COUNT` The number of operations of the 'Uniqueness Enforcer Recipe' class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EDataType` | `getAggregationOperator()` Returns the meta object for data type '`Aggregation Operator`'.
    `org.eclipse.emf.ecore.EClass` | `getAggregatorIndexerRecipe()` Returns the meta object for class '`Aggregator Indexer Recipe`'.
    `org.eclipse.emf.ecore.EClass` | `getAlphaRecipe()` Returns the meta object for class '`Alpha Recipe`'.
    `org.eclipse.emf.ecore.EClass` | `getAntiJoinRecipe()` Returns the meta object for class '`Anti Join Recipe`'.
    `org.eclipse.emf.ecore.EReference` | `getBetaRecipe_LeftParent()` Returns the meta object for the containment reference '`Left Parent`'.
    `org.eclipse.emf.ecore.EReference` | `getBetaRecipe_RightParent()` Returns the meta object for the containment reference '`Right Parent`'.
    `org.eclipse.emf.ecore.EClass` | `getBetaRecipe()` Returns the meta object for class '`Beta Recipe`'.
    `org.eclipse.emf.ecore.EOperation` | `getCheckRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EClass` | `getCheckRecipe()` Returns the meta object for class '`Check Recipe`'.
    `org.eclipse.emf.ecore.EOperation` | `getConstantRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EAttribute` | `getConstantRecipe_ConstantValues()` Returns the meta object for the attribute list '`Constant Values`'.
    `org.eclipse.emf.ecore.EClass` | `getConstantRecipe()` Returns the meta object for class '`Constant Recipe`'.
    `org.eclipse.emf.ecore.EClass` | `getCountAggregatorRecipe()` Returns the meta object for class '`Count Aggregator Recipe`'.
    `org.eclipse.emf.ecore.EOperation` | `getDiscriminatorBucketRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EAttribute` | `getDiscriminatorBucketRecipe_BucketKey()` Returns the meta object for the attribute '`Bucket Key`'.
    `org.eclipse.emf.ecore.EClass` | `getDiscriminatorBucketRecipe()` Returns the meta object for class '`Discriminator Bucket Recipe`'.
    `org.eclipse.emf.ecore.EOperation` | `getDiscriminatorDispatcherRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EAttribute` | `getDiscriminatorDispatcherRecipe_DiscriminationColumnIndex()` Returns the meta object for the attribute '`Discrimination Column Index`'.
    `org.eclipse.emf.ecore.EClass` | `getDiscriminatorDispatcherRecipe()` Returns the meta object for class '`Discriminator Dispatcher Recipe`'.
    `org.eclipse.emf.ecore.EAttribute` | `getEqualityFilterRecipe_Indices()` Returns the meta object for the attribute list '`Indices`'.
    `org.eclipse.emf.ecore.EClass` | `getEqualityFilterRecipe()` Returns the meta object for class '`Equality Filter Recipe`'.
    `org.eclipse.emf.ecore.EOperation` | `getEvalRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EAttribute` | `getEvalRecipe_Unwinding()` Returns the meta object for the attribute '`Unwinding`'.
    `org.eclipse.emf.ecore.EClass` | `getEvalRecipe()` Returns the meta object for class '`Eval Recipe`'.
    `org.eclipse.emf.ecore.EOperation` | `getExistenceJoinRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EClass` | `getExistenceJoinRecipe()` Returns the meta object for class '`Existence Join Recipe`'.
    `org.eclipse.emf.ecore.EAttribute` | `getExpressionDefinition_Evaluator()` Returns the meta object for the attribute '`Evaluator`'.
    `org.eclipse.emf.ecore.EClass` | `getExpressionDefinition()` Returns the meta object for class '`Expression Definition`'.
    `org.eclipse.emf.ecore.EAttribute` | `getExpressionEnforcerRecipe_CacheOutput()` Returns the meta object for the attribute '`Cache Output`'.
    `org.eclipse.emf.ecore.EReference` | `getExpressionEnforcerRecipe_Expression()` Returns the meta object for the containment reference '`Expression`'.
    `org.eclipse.emf.ecore.EReference` | `getExpressionEnforcerRecipe_MappedIndices()` Returns the meta object for the map '`Mapped Indices`'.
    `org.eclipse.emf.ecore.EClass` | `getExpressionEnforcerRecipe()` Returns the meta object for class '`Expression Enforcer Recipe`'.
    `org.eclipse.emf.ecore.EOperation` | `getFilterRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EClass` | `getFilterRecipe()` Returns the meta object for class '`Filter Recipe`'.
    `org.eclipse.emf.ecore.EDataType` | `getIndex()` Returns the meta object for data type '`Index`'.
    `org.eclipse.emf.ecore.EOperation` | `getIndexerBasedAggregatorRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EReference` | `getIndexerBasedAggregatorRecipe_Parent()` Returns the meta object for the containment reference '`Parent`'.
    `org.eclipse.emf.ecore.EClass` | `getIndexerBasedAggregatorRecipe()` Returns the meta object for class '`Indexer Based Aggregator Recipe`'.
    `org.eclipse.emf.ecore.EOperation` | `getIndexerRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EReference` | `getIndexerRecipe_Mask()` Returns the meta object for the containment reference '`Mask`'.
    `org.eclipse.emf.ecore.EClass` | `getIndexerRecipe()` Returns the meta object for class '`Indexer Recipe`'.
    `org.eclipse.emf.ecore.EAttribute` | `getInequalityFilterRecipe_Inequals()` Returns the meta object for the attribute list '`Inequals`'.
    `org.eclipse.emf.ecore.EAttribute` | `getInequalityFilterRecipe_Subject()` Returns the meta object for the attribute '`Subject`'.
    `org.eclipse.emf.ecore.EClass` | `getInequalityFilterRecipe()` Returns the meta object for class '`Inequality Filter Recipe`'.
    `org.eclipse.emf.ecore.EAttribute` | `getInputFilterRecipe_InputKey()` Returns the meta object for the attribute '`Input Key`'.
    `org.eclipse.emf.ecore.EAttribute` | `getInputFilterRecipe_KeyID()` Returns the meta object for the attribute '`Key ID`'.
    `org.eclipse.emf.ecore.EReference` | `getInputFilterRecipe_Mask()` Returns the meta object for the containment reference '`Mask`'.
    `org.eclipse.emf.ecore.EClass` | `getInputFilterRecipe()` Returns the meta object for class '`Input Filter Recipe`'.
    `org.eclipse.emf.ecore.EOperation` | `getInputRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EAttribute` | `getInputRecipe_InputKey()` Returns the meta object for the attribute '`Input Key`'.
    `org.eclipse.emf.ecore.EAttribute` | `getInputRecipe_KeyArity()` Returns the meta object for the attribute '`Key Arity`'.
    `org.eclipse.emf.ecore.EAttribute` | `getInputRecipe_KeyID()` Returns the meta object for the attribute '`Key ID`'.
    `org.eclipse.emf.ecore.EClass` | `getInputRecipe()` Returns the meta object for class '`Input Recipe`'.
    `org.eclipse.emf.ecore.EOperation` | `getJoinRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EReference` | `getJoinRecipe_RightParentComplementaryMask()` Returns the meta object for the containment reference '`Right Parent Complementary Mask`'.
    `org.eclipse.emf.ecore.EClass` | `getJoinRecipe()` Returns the meta object for class '`Join Recipe`'.
    `org.eclipse.emf.ecore.EAttribute` | `getMask_SourceArity()` Returns the meta object for the attribute '`Source Arity`'.
    `org.eclipse.emf.ecore.EAttribute` | `getMask_SourceIndices()` Returns the meta object for the attribute list '`Source Indices`'.
    `org.eclipse.emf.ecore.EClass` | `getMask()` Returns the meta object for class '`Mask`'.
    `org.eclipse.emf.ecore.EReference` | `getMonotonicityInfo_CoreMask()` Returns the meta object for the containment reference '`Core Mask`'.
    `org.eclipse.emf.ecore.EAttribute` | `getMonotonicityInfo_PosetComparator()` Returns the meta object for the attribute '`Poset Comparator`'.
    `org.eclipse.emf.ecore.EReference` | `getMonotonicityInfo_PosetMask()` Returns the meta object for the containment reference '`Poset Mask`'.
    `org.eclipse.emf.ecore.EClass` | `getMonotonicityInfo()` Returns the meta object for class '`Monotonicity Info`'.
    `org.eclipse.emf.ecore.EOperation` | `getMultiParentNodeRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EReference` | `getMultiParentNodeRecipe_Parents()` Returns the meta object for the reference list '`Parents`'.
    `org.eclipse.emf.ecore.EClass` | `getMultiParentNodeRecipe()` Returns the meta object for class '`Multi Parent Node Recipe`'.
    `org.eclipse.emf.ecore.EOperation` | `getProductionRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EReference` | `getProductionRecipe_MappedIndices()` Returns the meta object for the map '`Mapped Indices`'.
    `org.eclipse.emf.ecore.EAttribute` | `getProductionRecipe_Pattern()` Returns the meta object for the attribute '`Pattern`'.
    `org.eclipse.emf.ecore.EAttribute` | `getProductionRecipe_PatternFQN()` Returns the meta object for the attribute '`Pattern FQN`'.
    `org.eclipse.emf.ecore.EClass` | `getProductionRecipe()` Returns the meta object for class '`Production Recipe`'.
    `org.eclipse.emf.ecore.EClass` | `getProjectionIndexerRecipe()` Returns the meta object for class '`Projection Indexer Recipe`'.
    `RecipesFactory` | `getRecipesFactory()` Returns the factory that creates the instances of the model.
    `org.eclipse.emf.ecore.EAttribute` | `getRederivableNodeRecipe_DeleteRederiveEvaluation()` Returns the meta object for the attribute '`Delete Rederive Evaluation`'.
    `org.eclipse.emf.ecore.EReference` | `getRederivableNodeRecipe_OptionalMonotonicityInfo()` Returns the meta object for the containment reference '`Optional Monotonicity Info`'.
    `org.eclipse.emf.ecore.EClass` | `getRederivableNodeRecipe()` Returns the meta object for class '`Rederivable Node Recipe`'.
    `org.eclipse.emf.ecore.EReference` | `getRelationEvaluationRecipe_Evaluator()` Returns the meta object for the reference '`Evaluator`'.
    `org.eclipse.emf.ecore.EClass` | `getRelationEvaluationRecipe()` Returns the meta object for class '`Relation Evaluation Recipe`'.
    `org.eclipse.emf.ecore.EOperation` | `getReteNodeRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EAttribute` | `getReteNodeRecipe_EquivalenceClassIDs()` Returns the meta object for the attribute list '`Equivalence Class IDs`'.
    `org.eclipse.emf.ecore.EAttribute` | `getReteNodeRecipe_TraceInfo()` Returns the meta object for the attribute '`Trace Info`'.
    `org.eclipse.emf.ecore.EClass` | `getReteNodeRecipe()` Returns the meta object for class '`Rete Node Recipe`'.
    `org.eclipse.emf.ecore.EReference` | `getReteRecipe_RecipeNodes()` Returns the meta object for the containment reference list '`Recipe Nodes`'.
    `org.eclipse.emf.ecore.EClass` | `getReteRecipe()` Returns the meta object for class '`Rete Recipe`'.
    `org.eclipse.emf.ecore.EClass` | `getSemiJoinRecipe()` Returns the meta object for class '`Semi Join Recipe`'.
    `org.eclipse.emf.ecore.EOperation` | `getSingleColumnAggregatorRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EAttribute` | `getSingleColumnAggregatorRecipe_AggregableIndex()` Returns the meta object for the attribute '`Aggregable Index`'.
    `org.eclipse.emf.ecore.EReference` | `getSingleColumnAggregatorRecipe_GroupByMask()` Returns the meta object for the containment reference '`Group By Mask`'.
    `org.eclipse.emf.ecore.EAttribute` | `getSingleColumnAggregatorRecipe_MultisetAggregationOperator()` Returns the meta object for the attribute '`Multiset Aggregation Operator`'.
    `org.eclipse.emf.ecore.EClass` | `getSingleColumnAggregatorRecipe()` Returns the meta object for class '`Single Column Aggregator Recipe`'.
    `org.eclipse.emf.ecore.EReference` | `getSingleParentNodeRecipe_Parent()` Returns the meta object for the reference '`Parent`'.
    `org.eclipse.emf.ecore.EClass` | `getSingleParentNodeRecipe()` Returns the meta object for class '`Single Parent Node Recipe`'.
    `org.eclipse.emf.ecore.EAttribute` | `getStringIndexMapEntry_Key()` Returns the meta object for the attribute '`Key`'.
    `org.eclipse.emf.ecore.EAttribute` | `getStringIndexMapEntry_Value()` Returns the meta object for the attribute '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getStringIndexMapEntry()` Returns the meta object for class '`String Index Map Entry`'.
    `org.eclipse.emf.ecore.EOperation` | `getTransitiveClosureRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EClass` | `getTransitiveClosureRecipe()` Returns the meta object for class '`Transitive Closure Recipe`'.
    `org.eclipse.emf.ecore.EClass` | `getTransparentRecipe()` Returns the meta object for class '`Transparent Recipe`'.
    `org.eclipse.emf.ecore.EOperation` | `getTrimmerRecipe__GetArity()` Returns the meta object for the '`Get Arity`' operation.
    `org.eclipse.emf.ecore.EReference` | `getTrimmerRecipe_Mask()` Returns the meta object for the containment reference '`Mask`'.
    `org.eclipse.emf.ecore.EClass` | `getTrimmerRecipe()` Returns the meta object for class '`Trimmer Recipe`'.
    `org.eclipse.emf.ecore.EClass` | `getUniquenessEnforcerRecipe()` Returns the meta object for class '`Uniqueness Enforcer Recipe`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated:

    - #### eINSTANCE

          static final RecipesPackage eINSTANCE

      The singleton instance of the package.
      Generated:

    - #### RETE_RECIPE

          static final int RETE_RECIPE

      The meta object id for the '`Rete Recipe`' class.
      See Also:
        `ReteRecipeImpl`, `RecipesPackageImpl.getReteRecipe()`, Constant Field Values
      Generated:

    - #### RETE_RECIPE__RECIPE_NODES

          static final int RETE_RECIPE__RECIPE_NODES

      The feature id for the 'Recipe Nodes' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RETE_RECIPE_FEATURE_COUNT

          static final int RETE_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Rete Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RETE_RECIPE_OPERATION_COUNT

          static final int RETE_RECIPE_OPERATION_COUNT

      The number of operations of the 'Rete Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RETE_NODE_RECIPE

          static final int RETE_NODE_RECIPE

      The meta object id for the '`Rete Node Recipe`' class.
      See Also:
        `ReteNodeRecipeImpl`, `RecipesPackageImpl.getReteNodeRecipe()`, Constant Field Values
      Generated:

    - #### RETE_NODE_RECIPE__TRACE_INFO

          static final int RETE_NODE_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RETE_NODE_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int RETE_NODE_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RETE_NODE_RECIPE_FEATURE_COUNT

          static final int RETE_NODE_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Rete Node Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RETE_NODE_RECIPE___GET_ARITY

          static final int RETE_NODE_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RETE_NODE_RECIPE_OPERATION_COUNT

          static final int RETE_NODE_RECIPE_OPERATION_COUNT

      The number of operations of the 'Rete Node Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_PARENT_NODE_RECIPE

          static final int SINGLE_PARENT_NODE_RECIPE

      The meta object id for the '`Single Parent Node Recipe`' class.
      See Also:
        `SingleParentNodeRecipeImpl`, `RecipesPackageImpl.getSingleParentNodeRecipe()`, Constant Field Values
      Generated:

    - #### SINGLE_PARENT_NODE_RECIPE__TRACE_INFO

          static final int SINGLE_PARENT_NODE_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_PARENT_NODE_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int SINGLE_PARENT_NODE_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_PARENT_NODE_RECIPE__PARENT

          static final int SINGLE_PARENT_NODE_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_PARENT_NODE_RECIPE_FEATURE_COUNT

          static final int SINGLE_PARENT_NODE_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Single Parent Node Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_PARENT_NODE_RECIPE___GET_ARITY

          static final int SINGLE_PARENT_NODE_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_PARENT_NODE_RECIPE_OPERATION_COUNT

          static final int SINGLE_PARENT_NODE_RECIPE_OPERATION_COUNT

      The number of operations of the 'Single Parent Node Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ALPHA_RECIPE

          static final int ALPHA_RECIPE

      The meta object id for the '`Alpha Recipe`' class.
      See Also:
        `AlphaRecipeImpl`, `RecipesPackageImpl.getAlphaRecipe()`, Constant Field Values
      Generated:

    - #### ALPHA_RECIPE__TRACE_INFO

          static final int ALPHA_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ALPHA_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int ALPHA_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ALPHA_RECIPE__PARENT

          static final int ALPHA_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ALPHA_RECIPE_FEATURE_COUNT

          static final int ALPHA_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Alpha Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ALPHA_RECIPE___GET_ARITY

          static final int ALPHA_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ALPHA_RECIPE_OPERATION_COUNT

          static final int ALPHA_RECIPE_OPERATION_COUNT

      The number of operations of the 'Alpha Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MULTI_PARENT_NODE_RECIPE

          static final int MULTI_PARENT_NODE_RECIPE

      The meta object id for the '`Multi Parent Node Recipe`' class.
      See Also:
        `MultiParentNodeRecipeImpl`, `RecipesPackageImpl.getMultiParentNodeRecipe()`, Constant Field Values
      Generated:

    - #### MULTI_PARENT_NODE_RECIPE__TRACE_INFO

          static final int MULTI_PARENT_NODE_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MULTI_PARENT_NODE_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int MULTI_PARENT_NODE_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MULTI_PARENT_NODE_RECIPE__PARENTS

          static final int MULTI_PARENT_NODE_RECIPE__PARENTS

      The feature id for the 'Parents' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MULTI_PARENT_NODE_RECIPE_FEATURE_COUNT

          static final int MULTI_PARENT_NODE_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Multi Parent Node Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MULTI_PARENT_NODE_RECIPE___GET_ARITY

          static final int MULTI_PARENT_NODE_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MULTI_PARENT_NODE_RECIPE_OPERATION_COUNT

          static final int MULTI_PARENT_NODE_RECIPE_OPERATION_COUNT

      The number of operations of the 'Multi Parent Node Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MONOTONICITY_INFO

          static final int MONOTONICITY_INFO

      The meta object id for the '`Monotonicity Info`' class.
      See Also:
        `MonotonicityInfoImpl`, `RecipesPackageImpl.getMonotonicityInfo()`, Constant Field Values
      Generated:

    - #### MONOTONICITY_INFO__CORE_MASK

          static final int MONOTONICITY_INFO__CORE_MASK

      The feature id for the 'Core Mask' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MONOTONICITY_INFO__POSET_MASK

          static final int MONOTONICITY_INFO__POSET_MASK

      The feature id for the 'Poset Mask' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MONOTONICITY_INFO__POSET_COMPARATOR

          static final int MONOTONICITY_INFO__POSET_COMPARATOR

      The feature id for the 'Poset Comparator' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MONOTONICITY_INFO_FEATURE_COUNT

          static final int MONOTONICITY_INFO_FEATURE_COUNT

      The number of structural features of the 'Monotonicity Info' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MONOTONICITY_INFO_OPERATION_COUNT

          static final int MONOTONICITY_INFO_OPERATION_COUNT

      The number of operations of the 'Monotonicity Info' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### UNIQUENESS_ENFORCER_RECIPE

          static final int UNIQUENESS_ENFORCER_RECIPE

      The meta object id for the '`Uniqueness Enforcer Recipe`' class.
      See Also:
        `UniquenessEnforcerRecipeImpl`, `RecipesPackageImpl.getUniquenessEnforcerRecipe()`, Constant Field Values
      Generated:

    - #### UNIQUENESS_ENFORCER_RECIPE__TRACE_INFO

          static final int UNIQUENESS_ENFORCER_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### UNIQUENESS_ENFORCER_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int UNIQUENESS_ENFORCER_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### UNIQUENESS_ENFORCER_RECIPE__PARENTS

          static final int UNIQUENESS_ENFORCER_RECIPE__PARENTS

      The feature id for the 'Parents' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### UNIQUENESS_ENFORCER_RECIPE__DELETE_REDERIVE_EVALUATION

          static final int UNIQUENESS_ENFORCER_RECIPE__DELETE_REDERIVE_EVALUATION

      The feature id for the 'Delete Rederive Evaluation' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### UNIQUENESS_ENFORCER_RECIPE__OPTIONAL_MONOTONICITY_INFO

          static final int UNIQUENESS_ENFORCER_RECIPE__OPTIONAL_MONOTONICITY_INFO

      The feature id for the 'Optional Monotonicity Info' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### UNIQUENESS_ENFORCER_RECIPE_FEATURE_COUNT

          static final int UNIQUENESS_ENFORCER_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Uniqueness Enforcer Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### UNIQUENESS_ENFORCER_RECIPE___GET_ARITY

          static final int UNIQUENESS_ENFORCER_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### UNIQUENESS_ENFORCER_RECIPE_OPERATION_COUNT

          static final int UNIQUENESS_ENFORCER_RECIPE_OPERATION_COUNT

      The number of operations of the 'Uniqueness Enforcer Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PRODUCTION_RECIPE

          static final int PRODUCTION_RECIPE

      The meta object id for the '`Production Recipe`' class.
      See Also:
        `ProductionRecipeImpl`, `RecipesPackageImpl.getProductionRecipe()`, Constant Field Values
      Generated:

    - #### PRODUCTION_RECIPE__TRACE_INFO

          static final int PRODUCTION_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PRODUCTION_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int PRODUCTION_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PRODUCTION_RECIPE__PARENTS

          static final int PRODUCTION_RECIPE__PARENTS

      The feature id for the 'Parents' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PRODUCTION_RECIPE__DELETE_REDERIVE_EVALUATION

          static final int PRODUCTION_RECIPE__DELETE_REDERIVE_EVALUATION

      The feature id for the 'Delete Rederive Evaluation' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PRODUCTION_RECIPE__OPTIONAL_MONOTONICITY_INFO

          static final int PRODUCTION_RECIPE__OPTIONAL_MONOTONICITY_INFO

      The feature id for the 'Optional Monotonicity Info' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PRODUCTION_RECIPE__MAPPED_INDICES

          static final int PRODUCTION_RECIPE__MAPPED_INDICES

      The feature id for the 'Mapped Indices' map.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PRODUCTION_RECIPE__PATTERN

          static final int PRODUCTION_RECIPE__PATTERN

      The feature id for the 'Pattern' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PRODUCTION_RECIPE__PATTERN_FQN

          static final int PRODUCTION_RECIPE__PATTERN_FQN

      The feature id for the 'Pattern FQN' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PRODUCTION_RECIPE_FEATURE_COUNT

          static final int PRODUCTION_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Production Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PRODUCTION_RECIPE___GET_ARITY

          static final int PRODUCTION_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PRODUCTION_RECIPE_OPERATION_COUNT

          static final int PRODUCTION_RECIPE_OPERATION_COUNT

      The number of operations of the 'Production Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INDEXER_RECIPE

          static final int INDEXER_RECIPE

      The meta object id for the '`Indexer Recipe`' class.
      See Also:
        `IndexerRecipeImpl`, `RecipesPackageImpl.getIndexerRecipe()`, Constant Field Values
      Generated:

    - #### INDEXER_RECIPE__TRACE_INFO

          static final int INDEXER_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INDEXER_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int INDEXER_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INDEXER_RECIPE__PARENT

          static final int INDEXER_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INDEXER_RECIPE__MASK

          static final int INDEXER_RECIPE__MASK

      The feature id for the 'Mask' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INDEXER_RECIPE_FEATURE_COUNT

          static final int INDEXER_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Indexer Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INDEXER_RECIPE___GET_ARITY

          static final int INDEXER_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INDEXER_RECIPE_OPERATION_COUNT

          static final int INDEXER_RECIPE_OPERATION_COUNT

      The number of operations of the 'Indexer Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PROJECTION_INDEXER_RECIPE

          static final int PROJECTION_INDEXER_RECIPE

      The meta object id for the '`Projection Indexer Recipe`' class.
      See Also:
        `ProjectionIndexerRecipeImpl`, `RecipesPackageImpl.getProjectionIndexerRecipe()`, Constant Field Values
      Generated:

    - #### PROJECTION_INDEXER_RECIPE__TRACE_INFO

          static final int PROJECTION_INDEXER_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PROJECTION_INDEXER_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int PROJECTION_INDEXER_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PROJECTION_INDEXER_RECIPE__PARENT

          static final int PROJECTION_INDEXER_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PROJECTION_INDEXER_RECIPE__MASK

          static final int PROJECTION_INDEXER_RECIPE__MASK

      The feature id for the 'Mask' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PROJECTION_INDEXER_RECIPE_FEATURE_COUNT

          static final int PROJECTION_INDEXER_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Projection Indexer Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PROJECTION_INDEXER_RECIPE___GET_ARITY

          static final int PROJECTION_INDEXER_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PROJECTION_INDEXER_RECIPE_OPERATION_COUNT

          static final int PROJECTION_INDEXER_RECIPE_OPERATION_COUNT

      The number of operations of the 'Projection Indexer Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AGGREGATOR_INDEXER_RECIPE

          static final int AGGREGATOR_INDEXER_RECIPE

      The meta object id for the '`Aggregator Indexer Recipe`' class.
      See Also:
        `AggregatorIndexerRecipeImpl`, `RecipesPackageImpl.getAggregatorIndexerRecipe()`, Constant Field Values
      Generated:

    - #### AGGREGATOR_INDEXER_RECIPE__TRACE_INFO

          static final int AGGREGATOR_INDEXER_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AGGREGATOR_INDEXER_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int AGGREGATOR_INDEXER_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AGGREGATOR_INDEXER_RECIPE__PARENT

          static final int AGGREGATOR_INDEXER_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AGGREGATOR_INDEXER_RECIPE__MASK

          static final int AGGREGATOR_INDEXER_RECIPE__MASK

      The feature id for the 'Mask' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AGGREGATOR_INDEXER_RECIPE_FEATURE_COUNT

          static final int AGGREGATOR_INDEXER_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Aggregator Indexer Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AGGREGATOR_INDEXER_RECIPE___GET_ARITY

          static final int AGGREGATOR_INDEXER_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AGGREGATOR_INDEXER_RECIPE_OPERATION_COUNT

          static final int AGGREGATOR_INDEXER_RECIPE_OPERATION_COUNT

      The number of operations of the 'Aggregator Indexer Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### BETA_RECIPE

          static final int BETA_RECIPE

      The meta object id for the '`Beta Recipe`' class.
      See Also:
        `BetaRecipeImpl`, `RecipesPackageImpl.getBetaRecipe()`, Constant Field Values
      Generated:

    - #### BETA_RECIPE__TRACE_INFO

          static final int BETA_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### BETA_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int BETA_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### BETA_RECIPE__LEFT_PARENT

          static final int BETA_RECIPE__LEFT_PARENT

      The feature id for the 'Left Parent' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### BETA_RECIPE__RIGHT_PARENT

          static final int BETA_RECIPE__RIGHT_PARENT

      The feature id for the 'Right Parent' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### BETA_RECIPE_FEATURE_COUNT

          static final int BETA_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Beta Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### BETA_RECIPE___GET_ARITY

          static final int BETA_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### BETA_RECIPE_OPERATION_COUNT

          static final int BETA_RECIPE_OPERATION_COUNT

      The number of operations of the 'Beta Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MASK

          static final int MASK

      The meta object id for the '`Mask`' class.
      See Also:
        `MaskImpl`, `RecipesPackageImpl.getMask()`, Constant Field Values
      Generated:

    - #### MASK__SOURCE_INDICES

          static final int MASK__SOURCE_INDICES

      The feature id for the 'Source Indices' attribute list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MASK__SOURCE_ARITY

          static final int MASK__SOURCE_ARITY

      The feature id for the 'Source Arity' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MASK_FEATURE_COUNT

          static final int MASK_FEATURE_COUNT

      The number of structural features of the 'Mask' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MASK_OPERATION_COUNT

          static final int MASK_OPERATION_COUNT

      The number of operations of the 'Mask' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STRING_INDEX_MAP_ENTRY

          static final int STRING_INDEX_MAP_ENTRY

      The meta object id for the '`String Index Map Entry`' class.
      See Also:
        `StringIndexMapEntryImpl`, `RecipesPackageImpl.getStringIndexMapEntry()`, Constant Field Values
      Generated:

    - #### STRING_INDEX_MAP_ENTRY__KEY

          static final int STRING_INDEX_MAP_ENTRY__KEY

      The feature id for the 'Key' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STRING_INDEX_MAP_ENTRY__VALUE

          static final int STRING_INDEX_MAP_ENTRY__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STRING_INDEX_MAP_ENTRY_FEATURE_COUNT

          static final int STRING_INDEX_MAP_ENTRY_FEATURE_COUNT

      The number of structural features of the 'String Index Map Entry' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STRING_INDEX_MAP_ENTRY_OPERATION_COUNT

          static final int STRING_INDEX_MAP_ENTRY_OPERATION_COUNT

      The number of operations of the 'String Index Map Entry' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_RECIPE

          static final int INPUT_RECIPE

      The meta object id for the '`Input Recipe`' class.
      See Also:
        `InputRecipeImpl`, `RecipesPackageImpl.getInputRecipe()`, Constant Field Values
      Generated:

    - #### INPUT_RECIPE__TRACE_INFO

          static final int INPUT_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int INPUT_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_RECIPE__INPUT_KEY

          static final int INPUT_RECIPE__INPUT_KEY

      The feature id for the 'Input Key' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_RECIPE__KEY_ID

          static final int INPUT_RECIPE__KEY_ID

      The feature id for the 'Key ID' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_RECIPE__KEY_ARITY

          static final int INPUT_RECIPE__KEY_ARITY

      The feature id for the 'Key Arity' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_RECIPE_FEATURE_COUNT

          static final int INPUT_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Input Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_RECIPE___GET_ARITY

          static final int INPUT_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_RECIPE_OPERATION_COUNT

          static final int INPUT_RECIPE_OPERATION_COUNT

      The number of operations of the 'Input Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONSTANT_RECIPE

          static final int CONSTANT_RECIPE

      The meta object id for the '`Constant Recipe`' class.
      See Also:
        `ConstantRecipeImpl`, `RecipesPackageImpl.getConstantRecipe()`, Constant Field Values
      Generated:

    - #### CONSTANT_RECIPE__TRACE_INFO

          static final int CONSTANT_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONSTANT_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int CONSTANT_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONSTANT_RECIPE__CONSTANT_VALUES

          static final int CONSTANT_RECIPE__CONSTANT_VALUES

      The feature id for the 'Constant Values' attribute list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONSTANT_RECIPE_FEATURE_COUNT

          static final int CONSTANT_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Constant Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONSTANT_RECIPE___GET_ARITY

          static final int CONSTANT_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONSTANT_RECIPE_OPERATION_COUNT

          static final int CONSTANT_RECIPE_OPERATION_COUNT

      The number of operations of the 'Constant Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSITIVE_CLOSURE_RECIPE

          static final int TRANSITIVE_CLOSURE_RECIPE

      The meta object id for the '`Transitive Closure Recipe`' class.
      See Also:
        `TransitiveClosureRecipeImpl`, `RecipesPackageImpl.getTransitiveClosureRecipe()`, Constant Field Values
      Generated:

    - #### TRANSITIVE_CLOSURE_RECIPE__TRACE_INFO

          static final int TRANSITIVE_CLOSURE_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSITIVE_CLOSURE_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int TRANSITIVE_CLOSURE_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSITIVE_CLOSURE_RECIPE__PARENT

          static final int TRANSITIVE_CLOSURE_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSITIVE_CLOSURE_RECIPE_FEATURE_COUNT

          static final int TRANSITIVE_CLOSURE_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Transitive Closure Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSITIVE_CLOSURE_RECIPE___GET_ARITY

          static final int TRANSITIVE_CLOSURE_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSITIVE_CLOSURE_RECIPE_OPERATION_COUNT

          static final int TRANSITIVE_CLOSURE_RECIPE_OPERATION_COUNT

      The number of operations of the 'Transitive Closure Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FILTER_RECIPE

          static final int FILTER_RECIPE

      The meta object id for the '`Filter Recipe`' class.
      See Also:
        `FilterRecipeImpl`, `RecipesPackageImpl.getFilterRecipe()`, Constant Field Values
      Generated:

    - #### FILTER_RECIPE__TRACE_INFO

          static final int FILTER_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FILTER_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int FILTER_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FILTER_RECIPE__PARENT

          static final int FILTER_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FILTER_RECIPE_FEATURE_COUNT

          static final int FILTER_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Filter Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FILTER_RECIPE___GET_ARITY

          static final int FILTER_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FILTER_RECIPE_OPERATION_COUNT

          static final int FILTER_RECIPE_OPERATION_COUNT

      The number of operations of the 'Filter Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INEQUALITY_FILTER_RECIPE

          static final int INEQUALITY_FILTER_RECIPE

      The meta object id for the '`Inequality Filter Recipe`' class.
      See Also:
        `InequalityFilterRecipeImpl`, `RecipesPackageImpl.getInequalityFilterRecipe()`, Constant Field Values
      Generated:

    - #### INEQUALITY_FILTER_RECIPE__TRACE_INFO

          static final int INEQUALITY_FILTER_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INEQUALITY_FILTER_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int INEQUALITY_FILTER_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INEQUALITY_FILTER_RECIPE__PARENT

          static final int INEQUALITY_FILTER_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INEQUALITY_FILTER_RECIPE__SUBJECT

          static final int INEQUALITY_FILTER_RECIPE__SUBJECT

      The feature id for the 'Subject' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INEQUALITY_FILTER_RECIPE__INEQUALS

          static final int INEQUALITY_FILTER_RECIPE__INEQUALS

      The feature id for the 'Inequals' attribute list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INEQUALITY_FILTER_RECIPE_FEATURE_COUNT

          static final int INEQUALITY_FILTER_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Inequality Filter Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INEQUALITY_FILTER_RECIPE___GET_ARITY

          static final int INEQUALITY_FILTER_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INEQUALITY_FILTER_RECIPE_OPERATION_COUNT

          static final int INEQUALITY_FILTER_RECIPE_OPERATION_COUNT

      The number of operations of the 'Inequality Filter Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EQUALITY_FILTER_RECIPE

          static final int EQUALITY_FILTER_RECIPE

      The meta object id for the '`Equality Filter Recipe`' class.
      See Also:
        `EqualityFilterRecipeImpl`, `RecipesPackageImpl.getEqualityFilterRecipe()`, Constant Field Values
      Generated:

    - #### EQUALITY_FILTER_RECIPE__TRACE_INFO

          static final int EQUALITY_FILTER_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EQUALITY_FILTER_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int EQUALITY_FILTER_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EQUALITY_FILTER_RECIPE__PARENT

          static final int EQUALITY_FILTER_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EQUALITY_FILTER_RECIPE__INDICES

          static final int EQUALITY_FILTER_RECIPE__INDICES

      The feature id for the 'Indices' attribute list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EQUALITY_FILTER_RECIPE_FEATURE_COUNT

          static final int EQUALITY_FILTER_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Equality Filter Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EQUALITY_FILTER_RECIPE___GET_ARITY

          static final int EQUALITY_FILTER_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EQUALITY_FILTER_RECIPE_OPERATION_COUNT

          static final int EQUALITY_FILTER_RECIPE_OPERATION_COUNT

      The number of operations of the 'Equality Filter Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSPARENT_RECIPE

          static final int TRANSPARENT_RECIPE

      The meta object id for the '`Transparent Recipe`' class.
      See Also:
        `TransparentRecipeImpl`, `RecipesPackageImpl.getTransparentRecipe()`, Constant Field Values
      Generated:

    - #### TRANSPARENT_RECIPE__TRACE_INFO

          static final int TRANSPARENT_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSPARENT_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int TRANSPARENT_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSPARENT_RECIPE__PARENT

          static final int TRANSPARENT_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSPARENT_RECIPE_FEATURE_COUNT

          static final int TRANSPARENT_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Transparent Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSPARENT_RECIPE___GET_ARITY

          static final int TRANSPARENT_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRANSPARENT_RECIPE_OPERATION_COUNT

          static final int TRANSPARENT_RECIPE_OPERATION_COUNT

      The number of operations of the 'Transparent Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRIMMER_RECIPE

          static final int TRIMMER_RECIPE

      The meta object id for the '`Trimmer Recipe`' class.
      See Also:
        `TrimmerRecipeImpl`, `RecipesPackageImpl.getTrimmerRecipe()`, Constant Field Values
      Generated:

    - #### TRIMMER_RECIPE__TRACE_INFO

          static final int TRIMMER_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRIMMER_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int TRIMMER_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRIMMER_RECIPE__PARENT

          static final int TRIMMER_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRIMMER_RECIPE__MASK

          static final int TRIMMER_RECIPE__MASK

      The feature id for the 'Mask' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRIMMER_RECIPE_FEATURE_COUNT

          static final int TRIMMER_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Trimmer Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRIMMER_RECIPE___GET_ARITY

          static final int TRIMMER_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRIMMER_RECIPE_OPERATION_COUNT

          static final int TRIMMER_RECIPE_OPERATION_COUNT

      The number of operations of the 'Trimmer Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXPRESSION_DEFINITION

          static final int EXPRESSION_DEFINITION

      The meta object id for the '`Expression Definition`' class.
      See Also:
        `ExpressionDefinitionImpl`, `RecipesPackageImpl.getExpressionDefinition()`, Constant Field Values
      Generated:

    - #### EXPRESSION_DEFINITION__EVALUATOR

          static final int EXPRESSION_DEFINITION__EVALUATOR

      The feature id for the 'Evaluator' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXPRESSION_DEFINITION_FEATURE_COUNT

          static final int EXPRESSION_DEFINITION_FEATURE_COUNT

      The number of structural features of the 'Expression Definition' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXPRESSION_DEFINITION_OPERATION_COUNT

          static final int EXPRESSION_DEFINITION_OPERATION_COUNT

      The number of operations of the 'Expression Definition' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXPRESSION_ENFORCER_RECIPE

          static final int EXPRESSION_ENFORCER_RECIPE

      The meta object id for the '`Expression Enforcer Recipe`' class.
      See Also:
        `ExpressionEnforcerRecipeImpl`, `RecipesPackageImpl.getExpressionEnforcerRecipe()`, Constant Field Values
      Generated:

    - #### EXPRESSION_ENFORCER_RECIPE__TRACE_INFO

          static final int EXPRESSION_ENFORCER_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXPRESSION_ENFORCER_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int EXPRESSION_ENFORCER_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXPRESSION_ENFORCER_RECIPE__PARENT

          static final int EXPRESSION_ENFORCER_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXPRESSION_ENFORCER_RECIPE__EXPRESSION

          static final int EXPRESSION_ENFORCER_RECIPE__EXPRESSION

      The feature id for the 'Expression' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXPRESSION_ENFORCER_RECIPE__MAPPED_INDICES

          static final int EXPRESSION_ENFORCER_RECIPE__MAPPED_INDICES

      The feature id for the 'Mapped Indices' map.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXPRESSION_ENFORCER_RECIPE__CACHE_OUTPUT

          static final int EXPRESSION_ENFORCER_RECIPE__CACHE_OUTPUT

      The feature id for the 'Cache Output' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXPRESSION_ENFORCER_RECIPE_FEATURE_COUNT

          static final int EXPRESSION_ENFORCER_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Expression Enforcer Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXPRESSION_ENFORCER_RECIPE___GET_ARITY

          static final int EXPRESSION_ENFORCER_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXPRESSION_ENFORCER_RECIPE_OPERATION_COUNT

          static final int EXPRESSION_ENFORCER_RECIPE_OPERATION_COUNT

      The number of operations of the 'Expression Enforcer Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CHECK_RECIPE

          static final int CHECK_RECIPE

      The meta object id for the '`Check Recipe`' class.
      See Also:
        `CheckRecipeImpl`, `RecipesPackageImpl.getCheckRecipe()`, Constant Field Values
      Generated:

    - #### CHECK_RECIPE__TRACE_INFO

          static final int CHECK_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CHECK_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int CHECK_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CHECK_RECIPE__PARENT

          static final int CHECK_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CHECK_RECIPE__EXPRESSION

          static final int CHECK_RECIPE__EXPRESSION

      The feature id for the 'Expression' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CHECK_RECIPE__MAPPED_INDICES

          static final int CHECK_RECIPE__MAPPED_INDICES

      The feature id for the 'Mapped Indices' map.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CHECK_RECIPE__CACHE_OUTPUT

          static final int CHECK_RECIPE__CACHE_OUTPUT

      The feature id for the 'Cache Output' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CHECK_RECIPE_FEATURE_COUNT

          static final int CHECK_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Check Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CHECK_RECIPE___GET_ARITY

          static final int CHECK_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CHECK_RECIPE_OPERATION_COUNT

          static final int CHECK_RECIPE_OPERATION_COUNT

      The number of operations of the 'Check Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVAL_RECIPE

          static final int EVAL_RECIPE

      The meta object id for the '`Eval Recipe`' class.
      See Also:
        `EvalRecipeImpl`, `RecipesPackageImpl.getEvalRecipe()`, Constant Field Values
      Generated:

    - #### EVAL_RECIPE__TRACE_INFO

          static final int EVAL_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVAL_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int EVAL_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVAL_RECIPE__PARENT

          static final int EVAL_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVAL_RECIPE__EXPRESSION

          static final int EVAL_RECIPE__EXPRESSION

      The feature id for the 'Expression' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVAL_RECIPE__MAPPED_INDICES

          static final int EVAL_RECIPE__MAPPED_INDICES

      The feature id for the 'Mapped Indices' map.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVAL_RECIPE__CACHE_OUTPUT

          static final int EVAL_RECIPE__CACHE_OUTPUT

      The feature id for the 'Cache Output' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVAL_RECIPE__UNWINDING

          static final int EVAL_RECIPE__UNWINDING

      The feature id for the 'Unwinding' attribute.
      Since:
        2.4
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVAL_RECIPE_FEATURE_COUNT

          static final int EVAL_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Eval Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVAL_RECIPE___GET_ARITY

          static final int EVAL_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVAL_RECIPE_OPERATION_COUNT

          static final int EVAL_RECIPE_OPERATION_COUNT

      The number of operations of the 'Eval Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INDEXER_BASED_AGGREGATOR_RECIPE

          static final int INDEXER_BASED_AGGREGATOR_RECIPE

      The meta object id for the '`Indexer Based Aggregator Recipe`' class.
      See Also:
        `IndexerBasedAggregatorRecipeImpl`, `RecipesPackageImpl.getIndexerBasedAggregatorRecipe()`, Constant Field Values
      Generated:

    - #### INDEXER_BASED_AGGREGATOR_RECIPE__TRACE_INFO

          static final int INDEXER_BASED_AGGREGATOR_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INDEXER_BASED_AGGREGATOR_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int INDEXER_BASED_AGGREGATOR_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INDEXER_BASED_AGGREGATOR_RECIPE__PARENT

          static final int INDEXER_BASED_AGGREGATOR_RECIPE__PARENT

      The feature id for the 'Parent' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INDEXER_BASED_AGGREGATOR_RECIPE_FEATURE_COUNT

          static final int INDEXER_BASED_AGGREGATOR_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Indexer Based Aggregator Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INDEXER_BASED_AGGREGATOR_RECIPE___GET_ARITY

          static final int INDEXER_BASED_AGGREGATOR_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INDEXER_BASED_AGGREGATOR_RECIPE_OPERATION_COUNT

          static final int INDEXER_BASED_AGGREGATOR_RECIPE_OPERATION_COUNT

      The number of operations of the 'Indexer Based Aggregator Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COUNT_AGGREGATOR_RECIPE

          static final int COUNT_AGGREGATOR_RECIPE

      The meta object id for the '`Count Aggregator Recipe`' class.
      See Also:
        `CountAggregatorRecipeImpl`, `RecipesPackageImpl.getCountAggregatorRecipe()`, Constant Field Values
      Generated:

    - #### COUNT_AGGREGATOR_RECIPE__TRACE_INFO

          static final int COUNT_AGGREGATOR_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COUNT_AGGREGATOR_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int COUNT_AGGREGATOR_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COUNT_AGGREGATOR_RECIPE__PARENT

          static final int COUNT_AGGREGATOR_RECIPE__PARENT

      The feature id for the 'Parent' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COUNT_AGGREGATOR_RECIPE_FEATURE_COUNT

          static final int COUNT_AGGREGATOR_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Count Aggregator Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COUNT_AGGREGATOR_RECIPE___GET_ARITY

          static final int COUNT_AGGREGATOR_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COUNT_AGGREGATOR_RECIPE_OPERATION_COUNT

          static final int COUNT_AGGREGATOR_RECIPE_OPERATION_COUNT

      The number of operations of the 'Count Aggregator Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### JOIN_RECIPE

          static final int JOIN_RECIPE

      The meta object id for the '`Join Recipe`' class.
      See Also:
        `JoinRecipeImpl`, `RecipesPackageImpl.getJoinRecipe()`, Constant Field Values
      Generated:

    - #### JOIN_RECIPE__TRACE_INFO

          static final int JOIN_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### JOIN_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int JOIN_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### JOIN_RECIPE__LEFT_PARENT

          static final int JOIN_RECIPE__LEFT_PARENT

      The feature id for the 'Left Parent' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### JOIN_RECIPE__RIGHT_PARENT

          static final int JOIN_RECIPE__RIGHT_PARENT

      The feature id for the 'Right Parent' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### JOIN_RECIPE__RIGHT_PARENT_COMPLEMENTARY_MASK

          static final int JOIN_RECIPE__RIGHT_PARENT_COMPLEMENTARY_MASK

      The feature id for the 'Right Parent Complementary Mask' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### JOIN_RECIPE_FEATURE_COUNT

          static final int JOIN_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Join Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### JOIN_RECIPE___GET_ARITY

          static final int JOIN_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### JOIN_RECIPE_OPERATION_COUNT

          static final int JOIN_RECIPE_OPERATION_COUNT

      The number of operations of the 'Join Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXISTENCE_JOIN_RECIPE

          static final int EXISTENCE_JOIN_RECIPE

      The meta object id for the '`Existence Join Recipe`' class.
      See Also:
        `ExistenceJoinRecipeImpl`, `RecipesPackageImpl.getExistenceJoinRecipe()`, Constant Field Values
      Generated:

    - #### EXISTENCE_JOIN_RECIPE__TRACE_INFO

          static final int EXISTENCE_JOIN_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXISTENCE_JOIN_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int EXISTENCE_JOIN_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXISTENCE_JOIN_RECIPE__LEFT_PARENT

          static final int EXISTENCE_JOIN_RECIPE__LEFT_PARENT

      The feature id for the 'Left Parent' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXISTENCE_JOIN_RECIPE__RIGHT_PARENT

          static final int EXISTENCE_JOIN_RECIPE__RIGHT_PARENT

      The feature id for the 'Right Parent' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXISTENCE_JOIN_RECIPE_FEATURE_COUNT

          static final int EXISTENCE_JOIN_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Existence Join Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXISTENCE_JOIN_RECIPE___GET_ARITY

          static final int EXISTENCE_JOIN_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXISTENCE_JOIN_RECIPE_OPERATION_COUNT

          static final int EXISTENCE_JOIN_RECIPE_OPERATION_COUNT

      The number of operations of the 'Existence Join Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SEMI_JOIN_RECIPE

          static final int SEMI_JOIN_RECIPE

      The meta object id for the '`Semi Join Recipe`' class.
      See Also:
        `SemiJoinRecipeImpl`, `RecipesPackageImpl.getSemiJoinRecipe()`, Constant Field Values
      Generated:

    - #### SEMI_JOIN_RECIPE__TRACE_INFO

          static final int SEMI_JOIN_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SEMI_JOIN_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int SEMI_JOIN_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SEMI_JOIN_RECIPE__LEFT_PARENT

          static final int SEMI_JOIN_RECIPE__LEFT_PARENT

      The feature id for the 'Left Parent' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SEMI_JOIN_RECIPE__RIGHT_PARENT

          static final int SEMI_JOIN_RECIPE__RIGHT_PARENT

      The feature id for the 'Right Parent' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SEMI_JOIN_RECIPE_FEATURE_COUNT

          static final int SEMI_JOIN_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Semi Join Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SEMI_JOIN_RECIPE___GET_ARITY

          static final int SEMI_JOIN_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SEMI_JOIN_RECIPE_OPERATION_COUNT

          static final int SEMI_JOIN_RECIPE_OPERATION_COUNT

      The number of operations of the 'Semi Join Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ANTI_JOIN_RECIPE

          static final int ANTI_JOIN_RECIPE

      The meta object id for the '`Anti Join Recipe`' class.
      See Also:
        `AntiJoinRecipeImpl`, `RecipesPackageImpl.getAntiJoinRecipe()`, Constant Field Values
      Generated:

    - #### ANTI_JOIN_RECIPE__TRACE_INFO

          static final int ANTI_JOIN_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ANTI_JOIN_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int ANTI_JOIN_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ANTI_JOIN_RECIPE__LEFT_PARENT

          static final int ANTI_JOIN_RECIPE__LEFT_PARENT

      The feature id for the 'Left Parent' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ANTI_JOIN_RECIPE__RIGHT_PARENT

          static final int ANTI_JOIN_RECIPE__RIGHT_PARENT

      The feature id for the 'Right Parent' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ANTI_JOIN_RECIPE_FEATURE_COUNT

          static final int ANTI_JOIN_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Anti Join Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ANTI_JOIN_RECIPE___GET_ARITY

          static final int ANTI_JOIN_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ANTI_JOIN_RECIPE_OPERATION_COUNT

          static final int ANTI_JOIN_RECIPE_OPERATION_COUNT

      The number of operations of the 'Anti Join Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_FILTER_RECIPE

          static final int INPUT_FILTER_RECIPE

      The meta object id for the '`Input Filter Recipe`' class.
      See Also:
        `InputFilterRecipeImpl`, `RecipesPackageImpl.getInputFilterRecipe()`, Constant Field Values
      Generated:

    - #### INPUT_FILTER_RECIPE__TRACE_INFO

          static final int INPUT_FILTER_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_FILTER_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int INPUT_FILTER_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_FILTER_RECIPE__PARENT

          static final int INPUT_FILTER_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_FILTER_RECIPE__INPUT_KEY

          static final int INPUT_FILTER_RECIPE__INPUT_KEY

      The feature id for the 'Input Key' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_FILTER_RECIPE__KEY_ID

          static final int INPUT_FILTER_RECIPE__KEY_ID

      The feature id for the 'Key ID' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_FILTER_RECIPE__MASK

          static final int INPUT_FILTER_RECIPE__MASK

      The feature id for the 'Mask' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_FILTER_RECIPE_FEATURE_COUNT

          static final int INPUT_FILTER_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Input Filter Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_FILTER_RECIPE___GET_ARITY

          static final int INPUT_FILTER_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INPUT_FILTER_RECIPE_OPERATION_COUNT

          static final int INPUT_FILTER_RECIPE_OPERATION_COUNT

      The number of operations of the 'Input Filter Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE

          static final int SINGLE_COLUMN_AGGREGATOR_RECIPE

      The meta object id for the '`Single Column Aggregator Recipe`' class.
      See Also:
        `SingleColumnAggregatorRecipeImpl`, `RecipesPackageImpl.getSingleColumnAggregatorRecipe()`, Constant Field Values
      Generated:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE__TRACE_INFO

          static final int SINGLE_COLUMN_AGGREGATOR_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int SINGLE_COLUMN_AGGREGATOR_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE__PARENT

          static final int SINGLE_COLUMN_AGGREGATOR_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE__DELETE_REDERIVE_EVALUATION

          static final int SINGLE_COLUMN_AGGREGATOR_RECIPE__DELETE_REDERIVE_EVALUATION

      The feature id for the 'Delete Rederive Evaluation' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE__OPTIONAL_MONOTONICITY_INFO

          static final int SINGLE_COLUMN_AGGREGATOR_RECIPE__OPTIONAL_MONOTONICITY_INFO

      The feature id for the 'Optional Monotonicity Info' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE__MULTISET_AGGREGATION_OPERATOR

          static final int SINGLE_COLUMN_AGGREGATOR_RECIPE__MULTISET_AGGREGATION_OPERATOR

      The feature id for the 'Multiset Aggregation Operator' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE__AGGREGABLE_INDEX

          static final int SINGLE_COLUMN_AGGREGATOR_RECIPE__AGGREGABLE_INDEX

      The feature id for the 'Aggregable Index' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE__GROUP_BY_MASK

          static final int SINGLE_COLUMN_AGGREGATOR_RECIPE__GROUP_BY_MASK

      The feature id for the 'Group By Mask' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE_FEATURE_COUNT

          static final int SINGLE_COLUMN_AGGREGATOR_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Single Column Aggregator Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE___GET_ARITY

          static final int SINGLE_COLUMN_AGGREGATOR_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE_OPERATION_COUNT

          static final int SINGLE_COLUMN_AGGREGATOR_RECIPE_OPERATION_COUNT

      The number of operations of the 'Single Column Aggregator Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### DISCRIMINATOR_DISPATCHER_RECIPE

          static final int DISCRIMINATOR_DISPATCHER_RECIPE

      The meta object id for the '`Discriminator Dispatcher Recipe`' class.
      See Also:
        `DiscriminatorDispatcherRecipeImpl`, `RecipesPackageImpl.getDiscriminatorDispatcherRecipe()`, Constant Field Values
      Generated:

    - #### DISCRIMINATOR_DISPATCHER_RECIPE__TRACE_INFO

          static final int DISCRIMINATOR_DISPATCHER_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### DISCRIMINATOR_DISPATCHER_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int DISCRIMINATOR_DISPATCHER_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### DISCRIMINATOR_DISPATCHER_RECIPE__PARENT

          static final int DISCRIMINATOR_DISPATCHER_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### DISCRIMINATOR_DISPATCHER_RECIPE__DISCRIMINATION_COLUMN_INDEX

          static final int DISCRIMINATOR_DISPATCHER_RECIPE__DISCRIMINATION_COLUMN_INDEX

      The feature id for the 'Discrimination Column Index' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### DISCRIMINATOR_DISPATCHER_RECIPE_FEATURE_COUNT

          static final int DISCRIMINATOR_DISPATCHER_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Discriminator Dispatcher Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### DISCRIMINATOR_DISPATCHER_RECIPE___GET_ARITY

          static final int DISCRIMINATOR_DISPATCHER_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### DISCRIMINATOR_DISPATCHER_RECIPE_OPERATION_COUNT

          static final int DISCRIMINATOR_DISPATCHER_RECIPE_OPERATION_COUNT

      The number of operations of the 'Discriminator Dispatcher Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### DISCRIMINATOR_BUCKET_RECIPE

          static final int DISCRIMINATOR_BUCKET_RECIPE

      The meta object id for the '`Discriminator Bucket Recipe`' class.
      See Also:
        `DiscriminatorBucketRecipeImpl`, `RecipesPackageImpl.getDiscriminatorBucketRecipe()`, Constant Field Values
      Generated:

    - #### DISCRIMINATOR_BUCKET_RECIPE__TRACE_INFO

          static final int DISCRIMINATOR_BUCKET_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### DISCRIMINATOR_BUCKET_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int DISCRIMINATOR_BUCKET_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### DISCRIMINATOR_BUCKET_RECIPE__PARENT

          static final int DISCRIMINATOR_BUCKET_RECIPE__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### DISCRIMINATOR_BUCKET_RECIPE__BUCKET_KEY

          static final int DISCRIMINATOR_BUCKET_RECIPE__BUCKET_KEY

      The feature id for the 'Bucket Key' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### DISCRIMINATOR_BUCKET_RECIPE_FEATURE_COUNT

          static final int DISCRIMINATOR_BUCKET_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Discriminator Bucket Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### DISCRIMINATOR_BUCKET_RECIPE___GET_ARITY

          static final int DISCRIMINATOR_BUCKET_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### DISCRIMINATOR_BUCKET_RECIPE_OPERATION_COUNT

          static final int DISCRIMINATOR_BUCKET_RECIPE_OPERATION_COUNT

      The number of operations of the 'Discriminator Bucket Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### REDERIVABLE_NODE_RECIPE

          static final int REDERIVABLE_NODE_RECIPE

      The meta object id for the '`Rederivable Node Recipe`' class.
      See Also:
        `RederivableNodeRecipeImpl`, `RecipesPackageImpl.getRederivableNodeRecipe()`, Constant Field Values
      Generated:

    - #### REDERIVABLE_NODE_RECIPE__DELETE_REDERIVE_EVALUATION

          static final int REDERIVABLE_NODE_RECIPE__DELETE_REDERIVE_EVALUATION

      The feature id for the 'Delete Rederive Evaluation' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### REDERIVABLE_NODE_RECIPE__OPTIONAL_MONOTONICITY_INFO

          static final int REDERIVABLE_NODE_RECIPE__OPTIONAL_MONOTONICITY_INFO

      The feature id for the 'Optional Monotonicity Info' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### REDERIVABLE_NODE_RECIPE_FEATURE_COUNT

          static final int REDERIVABLE_NODE_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Rederivable Node Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### REDERIVABLE_NODE_RECIPE_OPERATION_COUNT

          static final int REDERIVABLE_NODE_RECIPE_OPERATION_COUNT

      The number of operations of the 'Rederivable Node Recipe' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RELATION_EVALUATION_RECIPE

          static final int RELATION_EVALUATION_RECIPE

      The meta object id for the '`Relation Evaluation Recipe`' class.
      Since:
        2.8
      See Also:
        `RelationEvaluationRecipeImpl`, `RecipesPackageImpl.getRelationEvaluationRecipe()`, Constant Field Values
      Generated:

    - #### RELATION_EVALUATION_RECIPE__TRACE_INFO

          static final int RELATION_EVALUATION_RECIPE__TRACE_INFO

      The feature id for the 'Trace Info' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RELATION_EVALUATION_RECIPE__EQUIVALENCE_CLASS_IDS

          static final int RELATION_EVALUATION_RECIPE__EQUIVALENCE_CLASS_IDS

      The feature id for the 'Equivalence Class IDs' attribute list.
      Since:
        1.3
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RELATION_EVALUATION_RECIPE__PARENTS

          static final int RELATION_EVALUATION_RECIPE__PARENTS

      The feature id for the 'Parents' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RELATION_EVALUATION_RECIPE__EVALUATOR

          static final int RELATION_EVALUATION_RECIPE__EVALUATOR

      The feature id for the 'Evaluator' reference.
      Since:
        2.8
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RELATION_EVALUATION_RECIPE_FEATURE_COUNT

          static final int RELATION_EVALUATION_RECIPE_FEATURE_COUNT

      The number of structural features of the 'Relation Evaluation Recipe' class.
      Since:
        2.8
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RELATION_EVALUATION_RECIPE___GET_ARITY

          static final int RELATION_EVALUATION_RECIPE___GET_ARITY

      The operation id for the 'Get Arity' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RELATION_EVALUATION_RECIPE_OPERATION_COUNT

          static final int RELATION_EVALUATION_RECIPE_OPERATION_COUNT

      The number of operations of the 'Relation Evaluation Recipe' class.
      Since:
        2.8
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INDEX

          static final int INDEX

      The meta object id for the 'Index' data type.
      See Also:
        `Integer`, `RecipesPackageImpl.getIndex()`, Constant Field Values
      Generated:

    - #### AGGREGATION_OPERATOR

          static final int AGGREGATION_OPERATOR

      The meta object id for the 'Aggregation Operator' data type.
      See Also:
        `IMultisetAggregationOperator`, `RecipesPackageImpl.getAggregationOperator()`, Constant Field Values
      Generated:

  - ### Method Detail

    - #### getReteRecipe

          org.eclipse.emf.ecore.EClass getReteRecipe()

      Returns the meta object for class '`Rete Recipe`'.
      Returns:
        the meta object for class 'Rete Recipe'.
      See Also:
        `ReteRecipe`
      Generated:

    - #### getReteRecipe_RecipeNodes

          org.eclipse.emf.ecore.EReference getReteRecipe_RecipeNodes()

      Returns the meta object for the containment reference list '`Recipe Nodes`'.
      Returns:
        the meta object for the containment reference list 'Recipe Nodes'.
      See Also:
        `ReteRecipe.getRecipeNodes()`, `getReteRecipe()`
      Generated:

    - #### getReteNodeRecipe

          org.eclipse.emf.ecore.EClass getReteNodeRecipe()

      Returns the meta object for class '`Rete Node Recipe`'.
      Returns:
        the meta object for class 'Rete Node Recipe'.
      See Also:
        `ReteNodeRecipe`
      Generated:

    - #### getReteNodeRecipe_TraceInfo

          org.eclipse.emf.ecore.EAttribute getReteNodeRecipe_TraceInfo()

      Returns the meta object for the attribute '`Trace Info`'.
      Returns:
        the meta object for the attribute 'Trace Info'.
      See Also:
        `ReteNodeRecipe.getTraceInfo()`, `getReteNodeRecipe()`
      Generated:

    - #### getReteNodeRecipe_EquivalenceClassIDs

          org.eclipse.emf.ecore.EAttribute getReteNodeRecipe_EquivalenceClassIDs()

      Returns the meta object for the attribute list '`Equivalence Class IDs`'.
      Returns:
        the meta object for the attribute list 'Equivalence Class IDs'.
      Since:
        1.3
      See Also:
        `ReteNodeRecipe.getEquivalenceClassIDs()`, `getReteNodeRecipe()`
      Generated:

    - #### getReteNodeRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getReteNodeRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `ReteNodeRecipe.getArity()`
      Generated:

    - #### getSingleParentNodeRecipe

          org.eclipse.emf.ecore.EClass getSingleParentNodeRecipe()

      Returns the meta object for class '`Single Parent Node Recipe`'.
      Returns:
        the meta object for class 'Single Parent Node Recipe'.
      See Also:
        `SingleParentNodeRecipe`
      Generated:

    - #### getSingleParentNodeRecipe_Parent

          org.eclipse.emf.ecore.EReference getSingleParentNodeRecipe_Parent()

      Returns the meta object for the reference '`Parent`'.
      Returns:
        the meta object for the reference 'Parent'.
      See Also:
        `SingleParentNodeRecipe.getParent()`, `getSingleParentNodeRecipe()`
      Generated:

    - #### getAlphaRecipe

          org.eclipse.emf.ecore.EClass getAlphaRecipe()

      Returns the meta object for class '`Alpha Recipe`'.
      Returns:
        the meta object for class 'Alpha Recipe'.
      See Also:
        `AlphaRecipe`
      Generated:

    - #### getMultiParentNodeRecipe

          org.eclipse.emf.ecore.EClass getMultiParentNodeRecipe()

      Returns the meta object for class '`Multi Parent Node Recipe`'.
      Returns:
        the meta object for class 'Multi Parent Node Recipe'.
      See Also:
        `MultiParentNodeRecipe`
      Generated:

    - #### getMultiParentNodeRecipe_Parents

          org.eclipse.emf.ecore.EReference getMultiParentNodeRecipe_Parents()

      Returns the meta object for the reference list '`Parents`'.
      Returns:
        the meta object for the reference list 'Parents'.
      See Also:
        `MultiParentNodeRecipe.getParents()`, `getMultiParentNodeRecipe()`
      Generated:

    - #### getMultiParentNodeRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getMultiParentNodeRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `MultiParentNodeRecipe.getArity()`
      Generated:

    - #### getMonotonicityInfo

          org.eclipse.emf.ecore.EClass getMonotonicityInfo()

      Returns the meta object for class '`Monotonicity Info`'.
      Returns:
        the meta object for class 'Monotonicity Info'.
      See Also:
        `MonotonicityInfo`
      Generated:

    - #### getMonotonicityInfo_CoreMask

          org.eclipse.emf.ecore.EReference getMonotonicityInfo_CoreMask()

      Returns the meta object for the containment reference '`Core Mask`'.
      Returns:
        the meta object for the containment reference 'Core Mask'.
      See Also:
        `MonotonicityInfo.getCoreMask()`, `getMonotonicityInfo()`
      Generated:

    - #### getMonotonicityInfo_PosetMask

          org.eclipse.emf.ecore.EReference getMonotonicityInfo_PosetMask()

      Returns the meta object for the containment reference '`Poset Mask`'.
      Returns:
        the meta object for the containment reference 'Poset Mask'.
      See Also:
        `MonotonicityInfo.getPosetMask()`, `getMonotonicityInfo()`
      Generated:

    - #### getMonotonicityInfo_PosetComparator

          org.eclipse.emf.ecore.EAttribute getMonotonicityInfo_PosetComparator()

      Returns the meta object for the attribute '`Poset Comparator`'.
      Returns:
        the meta object for the attribute 'Poset Comparator'.
      See Also:
        `MonotonicityInfo.getPosetComparator()`, `getMonotonicityInfo()`
      Generated:

    - #### getUniquenessEnforcerRecipe

          org.eclipse.emf.ecore.EClass getUniquenessEnforcerRecipe()

      Returns the meta object for class '`Uniqueness Enforcer Recipe`'.
      Returns:
        the meta object for class 'Uniqueness Enforcer Recipe'.
      See Also:
        `UniquenessEnforcerRecipe`
      Generated:

    - #### getProductionRecipe

          org.eclipse.emf.ecore.EClass getProductionRecipe()

      Returns the meta object for class '`Production Recipe`'.
      Returns:
        the meta object for class 'Production Recipe'.
      See Also:
        `ProductionRecipe`
      Generated:

    - #### getProductionRecipe_MappedIndices

          org.eclipse.emf.ecore.EReference getProductionRecipe_MappedIndices()

      Returns the meta object for the map '`Mapped Indices`'.
      Returns:
        the meta object for the map 'Mapped Indices'.
      See Also:
        `ProductionRecipe.getMappedIndices()`, `getProductionRecipe()`
      Generated:

    - #### getProductionRecipe_Pattern

          org.eclipse.emf.ecore.EAttribute getProductionRecipe_Pattern()

      Returns the meta object for the attribute '`Pattern`'.
      Returns:
        the meta object for the attribute 'Pattern'.
      See Also:
        `ProductionRecipe.getPattern()`, `getProductionRecipe()`
      Generated:

    - #### getProductionRecipe_PatternFQN

          org.eclipse.emf.ecore.EAttribute getProductionRecipe_PatternFQN()

      Returns the meta object for the attribute '`Pattern FQN`'.
      Returns:
        the meta object for the attribute 'Pattern FQN'.
      See Also:
        `ProductionRecipe.getPatternFQN()`, `getProductionRecipe()`
      Generated:

    - #### getProductionRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getProductionRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `ProductionRecipe.getArity()`
      Generated:

    - #### getIndexerRecipe

          org.eclipse.emf.ecore.EClass getIndexerRecipe()

      Returns the meta object for class '`Indexer Recipe`'.
      Returns:
        the meta object for class 'Indexer Recipe'.
      See Also:
        `IndexerRecipe`
      Generated:

    - #### getIndexerRecipe_Mask

          org.eclipse.emf.ecore.EReference getIndexerRecipe_Mask()

      Returns the meta object for the containment reference '`Mask`'.
      Returns:
        the meta object for the containment reference 'Mask'.
      See Also:
        `IndexerRecipe.getMask()`, `getIndexerRecipe()`
      Generated:

    - #### getIndexerRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getIndexerRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `IndexerRecipe.getArity()`
      Generated:

    - #### getProjectionIndexerRecipe

          org.eclipse.emf.ecore.EClass getProjectionIndexerRecipe()

      Returns the meta object for class '`Projection Indexer Recipe`'.
      Returns:
        the meta object for class 'Projection Indexer Recipe'.
      See Also:
        `ProjectionIndexerRecipe`
      Generated:

    - #### getAggregatorIndexerRecipe

          org.eclipse.emf.ecore.EClass getAggregatorIndexerRecipe()

      Returns the meta object for class '`Aggregator Indexer Recipe`'.
      Returns:
        the meta object for class 'Aggregator Indexer Recipe'.
      See Also:
        `AggregatorIndexerRecipe`
      Generated:

    - #### getBetaRecipe

          org.eclipse.emf.ecore.EClass getBetaRecipe()

      Returns the meta object for class '`Beta Recipe`'.
      Returns:
        the meta object for class 'Beta Recipe'.
      See Also:
        `BetaRecipe`
      Generated:

    - #### getBetaRecipe_LeftParent

          org.eclipse.emf.ecore.EReference getBetaRecipe_LeftParent()

      Returns the meta object for the containment reference '`Left Parent`'.
      Returns:
        the meta object for the containment reference 'Left Parent'.
      See Also:
        `BetaRecipe.getLeftParent()`, `getBetaRecipe()`
      Generated:

    - #### getBetaRecipe_RightParent

          org.eclipse.emf.ecore.EReference getBetaRecipe_RightParent()

      Returns the meta object for the containment reference '`Right Parent`'.
      Returns:
        the meta object for the containment reference 'Right Parent'.
      See Also:
        `BetaRecipe.getRightParent()`, `getBetaRecipe()`
      Generated:

    - #### getMask

          org.eclipse.emf.ecore.EClass getMask()

      Returns the meta object for class '`Mask`'.
      Returns:
        the meta object for class 'Mask'.
      See Also:
        `Mask`
      Generated:

    - #### getMask_SourceIndices

          org.eclipse.emf.ecore.EAttribute getMask_SourceIndices()

      Returns the meta object for the attribute list '`Source Indices`'.
      Returns:
        the meta object for the attribute list 'Source Indices'.
      See Also:
        `Mask.getSourceIndices()`, `getMask()`
      Generated:

    - #### getMask_SourceArity

          org.eclipse.emf.ecore.EAttribute getMask_SourceArity()

      Returns the meta object for the attribute '`Source Arity`'.
      Returns:
        the meta object for the attribute 'Source Arity'.
      See Also:
        `Mask.getSourceArity()`, `getMask()`
      Generated:

    - #### getStringIndexMapEntry

          org.eclipse.emf.ecore.EClass getStringIndexMapEntry()

      Returns the meta object for class '`String Index Map Entry`'.
      Returns:
        the meta object for class 'String Index Map Entry'.
      See Also:
        `Map.Entry`
      Generated:
      Model:
        keyUnique="false" keyDataType="org.eclipse.emf.ecore.EString" valueUnique="false" valueDataType="org.eclipse.viatra.query.runtime.rete.recipes.Index"

    - #### getStringIndexMapEntry_Key

          org.eclipse.emf.ecore.EAttribute getStringIndexMapEntry_Key()

      Returns the meta object for the attribute '`Key`'.
      Returns:
        the meta object for the attribute 'Key'.
      See Also:
        `Map.Entry`, `getStringIndexMapEntry()`
      Generated:

    - #### getStringIndexMapEntry_Value

          org.eclipse.emf.ecore.EAttribute getStringIndexMapEntry_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `Map.Entry`, `getStringIndexMapEntry()`
      Generated:

    - #### getInputRecipe

          org.eclipse.emf.ecore.EClass getInputRecipe()

      Returns the meta object for class '`Input Recipe`'.
      Returns:
        the meta object for class 'Input Recipe'.
      See Also:
        `InputRecipe`
      Generated:

    - #### getInputRecipe_InputKey

          org.eclipse.emf.ecore.EAttribute getInputRecipe_InputKey()

      Returns the meta object for the attribute '`Input Key`'.
      Returns:
        the meta object for the attribute 'Input Key'.
      See Also:
        `InputRecipe.getInputKey()`, `getInputRecipe()`
      Generated:

    - #### getInputRecipe_KeyID

          org.eclipse.emf.ecore.EAttribute getInputRecipe_KeyID()

      Returns the meta object for the attribute '`Key ID`'.
      Returns:
        the meta object for the attribute 'Key ID'.
      See Also:
        `InputRecipe.getKeyID()`, `getInputRecipe()`
      Generated:

    - #### getInputRecipe_KeyArity

          org.eclipse.emf.ecore.EAttribute getInputRecipe_KeyArity()

      Returns the meta object for the attribute '`Key Arity`'.
      Returns:
        the meta object for the attribute 'Key Arity'.
      See Also:
        `InputRecipe.getKeyArity()`, `getInputRecipe()`
      Generated:

    - #### getInputRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getInputRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `InputRecipe.getArity()`
      Generated:

    - #### getConstantRecipe

          org.eclipse.emf.ecore.EClass getConstantRecipe()

      Returns the meta object for class '`Constant Recipe`'.
      Returns:
        the meta object for class 'Constant Recipe'.
      See Also:
        `ConstantRecipe`
      Generated:

    - #### getConstantRecipe_ConstantValues

          org.eclipse.emf.ecore.EAttribute getConstantRecipe_ConstantValues()

      Returns the meta object for the attribute list '`Constant Values`'.
      Returns:
        the meta object for the attribute list 'Constant Values'.
      See Also:
        `ConstantRecipe.getConstantValues()`, `getConstantRecipe()`
      Generated:

    - #### getConstantRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getConstantRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `ConstantRecipe.getArity()`
      Generated:

    - #### getTransitiveClosureRecipe

          org.eclipse.emf.ecore.EClass getTransitiveClosureRecipe()

      Returns the meta object for class '`Transitive Closure Recipe`'.
      Returns:
        the meta object for class 'Transitive Closure Recipe'.
      See Also:
        `TransitiveClosureRecipe`
      Generated:

    - #### getTransitiveClosureRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getTransitiveClosureRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `TransitiveClosureRecipe.getArity()`
      Generated:

    - #### getFilterRecipe

          org.eclipse.emf.ecore.EClass getFilterRecipe()

      Returns the meta object for class '`Filter Recipe`'.
      Returns:
        the meta object for class 'Filter Recipe'.
      See Also:
        `FilterRecipe`
      Generated:

    - #### getFilterRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getFilterRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `FilterRecipe.getArity()`
      Generated:

    - #### getInequalityFilterRecipe

          org.eclipse.emf.ecore.EClass getInequalityFilterRecipe()

      Returns the meta object for class '`Inequality Filter Recipe`'.
      Returns:
        the meta object for class 'Inequality Filter Recipe'.
      See Also:
        `InequalityFilterRecipe`
      Generated:

    - #### getInequalityFilterRecipe_Subject

          org.eclipse.emf.ecore.EAttribute getInequalityFilterRecipe_Subject()

      Returns the meta object for the attribute '`Subject`'.
      Returns:
        the meta object for the attribute 'Subject'.
      See Also:
        `InequalityFilterRecipe.getSubject()`, `getInequalityFilterRecipe()`
      Generated:

    - #### getInequalityFilterRecipe_Inequals

          org.eclipse.emf.ecore.EAttribute getInequalityFilterRecipe_Inequals()

      Returns the meta object for the attribute list '`Inequals`'.
      Returns:
        the meta object for the attribute list 'Inequals'.
      See Also:
        `InequalityFilterRecipe.getInequals()`, `getInequalityFilterRecipe()`
      Generated:

    - #### getEqualityFilterRecipe

          org.eclipse.emf.ecore.EClass getEqualityFilterRecipe()

      Returns the meta object for class '`Equality Filter Recipe`'.
      Returns:
        the meta object for class 'Equality Filter Recipe'.
      See Also:
        `EqualityFilterRecipe`
      Generated:

    - #### getEqualityFilterRecipe_Indices

          org.eclipse.emf.ecore.EAttribute getEqualityFilterRecipe_Indices()

      Returns the meta object for the attribute list '`Indices`'.
      Returns:
        the meta object for the attribute list 'Indices'.
      See Also:
        `EqualityFilterRecipe.getIndices()`, `getEqualityFilterRecipe()`
      Generated:

    - #### getTransparentRecipe

          org.eclipse.emf.ecore.EClass getTransparentRecipe()

      Returns the meta object for class '`Transparent Recipe`'.
      Returns:
        the meta object for class 'Transparent Recipe'.
      See Also:
        `TransparentRecipe`
      Generated:

    - #### getTrimmerRecipe

          org.eclipse.emf.ecore.EClass getTrimmerRecipe()

      Returns the meta object for class '`Trimmer Recipe`'.
      Returns:
        the meta object for class 'Trimmer Recipe'.
      See Also:
        `TrimmerRecipe`
      Generated:

    - #### getTrimmerRecipe_Mask

          org.eclipse.emf.ecore.EReference getTrimmerRecipe_Mask()

      Returns the meta object for the containment reference '`Mask`'.
      Returns:
        the meta object for the containment reference 'Mask'.
      See Also:
        `TrimmerRecipe.getMask()`, `getTrimmerRecipe()`
      Generated:

    - #### getTrimmerRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getTrimmerRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `TrimmerRecipe.getArity()`
      Generated:

    - #### getExpressionDefinition

          org.eclipse.emf.ecore.EClass getExpressionDefinition()

      Returns the meta object for class '`Expression Definition`'.
      Returns:
        the meta object for class 'Expression Definition'.
      See Also:
        `ExpressionDefinition`
      Generated:

    - #### getExpressionDefinition_Evaluator

          org.eclipse.emf.ecore.EAttribute getExpressionDefinition_Evaluator()

      Returns the meta object for the attribute '`Evaluator`'.
      Returns:
        the meta object for the attribute 'Evaluator'.
      See Also:
        `ExpressionDefinition.getEvaluator()`, `getExpressionDefinition()`
      Generated:

    - #### getExpressionEnforcerRecipe

          org.eclipse.emf.ecore.EClass getExpressionEnforcerRecipe()

      Returns the meta object for class '`Expression Enforcer Recipe`'.
      Returns:
        the meta object for class 'Expression Enforcer Recipe'.
      See Also:
        `ExpressionEnforcerRecipe`
      Generated:

    - #### getExpressionEnforcerRecipe_Expression

          org.eclipse.emf.ecore.EReference getExpressionEnforcerRecipe_Expression()

      Returns the meta object for the containment reference '`Expression`'.
      Returns:
        the meta object for the containment reference 'Expression'.
      See Also:
        `ExpressionEnforcerRecipe.getExpression()`, `getExpressionEnforcerRecipe()`
      Generated:

    - #### getExpressionEnforcerRecipe_MappedIndices

          org.eclipse.emf.ecore.EReference getExpressionEnforcerRecipe_MappedIndices()

      Returns the meta object for the map '`Mapped Indices`'.
      Returns:
        the meta object for the map 'Mapped Indices'.
      See Also:
        `ExpressionEnforcerRecipe.getMappedIndices()`, `getExpressionEnforcerRecipe()`
      Generated:

    - #### getExpressionEnforcerRecipe_CacheOutput

          org.eclipse.emf.ecore.EAttribute getExpressionEnforcerRecipe_CacheOutput()

      Returns the meta object for the attribute '`Cache Output`'.
      Returns:
        the meta object for the attribute 'Cache Output'.
      See Also:
        `ExpressionEnforcerRecipe.isCacheOutput()`, `getExpressionEnforcerRecipe()`
      Generated:

    - #### getCheckRecipe

          org.eclipse.emf.ecore.EClass getCheckRecipe()

      Returns the meta object for class '`Check Recipe`'.
      Returns:
        the meta object for class 'Check Recipe'.
      See Also:
        `CheckRecipe`
      Generated:

    - #### getCheckRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getCheckRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `CheckRecipe.getArity()`
      Generated:

    - #### getEvalRecipe

          org.eclipse.emf.ecore.EClass getEvalRecipe()

      Returns the meta object for class '`Eval Recipe`'.
      Returns:
        the meta object for class 'Eval Recipe'.
      See Also:
        `EvalRecipe`
      Generated:

    - #### getEvalRecipe_Unwinding

          org.eclipse.emf.ecore.EAttribute getEvalRecipe_Unwinding()

      Returns the meta object for the attribute '`Unwinding`'.
      Returns:
        the meta object for the attribute 'Unwinding'.
      Since:
        2.4
      See Also:
        `EvalRecipe.isUnwinding()`, `getEvalRecipe()`
      Generated:

    - #### getEvalRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getEvalRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `EvalRecipe.getArity()`
      Generated:

    - #### getIndexerBasedAggregatorRecipe

          org.eclipse.emf.ecore.EClass getIndexerBasedAggregatorRecipe()

      Returns the meta object for class '`Indexer Based Aggregator Recipe`'.
      Returns:
        the meta object for class 'Indexer Based Aggregator Recipe'.
      See Also:
        `IndexerBasedAggregatorRecipe`
      Generated:

    - #### getIndexerBasedAggregatorRecipe_Parent

          org.eclipse.emf.ecore.EReference getIndexerBasedAggregatorRecipe_Parent()

      Returns the meta object for the containment reference '`Parent`'.
      Returns:
        the meta object for the containment reference 'Parent'.
      See Also:
        `IndexerBasedAggregatorRecipe.getParent()`, `getIndexerBasedAggregatorRecipe()`
      Generated:

    - #### getIndexerBasedAggregatorRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getIndexerBasedAggregatorRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `IndexerBasedAggregatorRecipe.getArity()`
      Generated:

    - #### getCountAggregatorRecipe

          org.eclipse.emf.ecore.EClass getCountAggregatorRecipe()

      Returns the meta object for class '`Count Aggregator Recipe`'.
      Returns:
        the meta object for class 'Count Aggregator Recipe'.
      See Also:
        `CountAggregatorRecipe`
      Generated:

    - #### getJoinRecipe

          org.eclipse.emf.ecore.EClass getJoinRecipe()

      Returns the meta object for class '`Join Recipe`'.
      Returns:
        the meta object for class 'Join Recipe'.
      See Also:
        `JoinRecipe`
      Generated:

    - #### getJoinRecipe_RightParentComplementaryMask

          org.eclipse.emf.ecore.EReference getJoinRecipe_RightParentComplementaryMask()

      Returns the meta object for the containment reference '`Right Parent Complementary Mask`'.
      Returns:
        the meta object for the containment reference 'Right Parent Complementary Mask'.
      See Also:
        `JoinRecipe.getRightParentComplementaryMask()`, `getJoinRecipe()`
      Generated:

    - #### getJoinRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getJoinRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `JoinRecipe.getArity()`
      Generated:

    - #### getExistenceJoinRecipe

          org.eclipse.emf.ecore.EClass getExistenceJoinRecipe()

      Returns the meta object for class '`Existence Join Recipe`'.
      Returns:
        the meta object for class 'Existence Join Recipe'.
      See Also:
        `ExistenceJoinRecipe`
      Generated:

    - #### getExistenceJoinRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getExistenceJoinRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `ExistenceJoinRecipe.getArity()`
      Generated:

    - #### getSemiJoinRecipe

          org.eclipse.emf.ecore.EClass getSemiJoinRecipe()

      Returns the meta object for class '`Semi Join Recipe`'.
      Returns:
        the meta object for class 'Semi Join Recipe'.
      See Also:
        `SemiJoinRecipe`
      Generated:

    - #### getAntiJoinRecipe

          org.eclipse.emf.ecore.EClass getAntiJoinRecipe()

      Returns the meta object for class '`Anti Join Recipe`'.
      Returns:
        the meta object for class 'Anti Join Recipe'.
      See Also:
        `AntiJoinRecipe`
      Generated:

    - #### getInputFilterRecipe

          org.eclipse.emf.ecore.EClass getInputFilterRecipe()

      Returns the meta object for class '`Input Filter Recipe`'.
      Returns:
        the meta object for class 'Input Filter Recipe'.
      See Also:
        `InputFilterRecipe`
      Generated:

    - #### getInputFilterRecipe_InputKey

          org.eclipse.emf.ecore.EAttribute getInputFilterRecipe_InputKey()

      Returns the meta object for the attribute '`Input Key`'.
      Returns:
        the meta object for the attribute 'Input Key'.
      See Also:
        `InputFilterRecipe.getInputKey()`, `getInputFilterRecipe()`
      Generated:

    - #### getInputFilterRecipe_KeyID

          org.eclipse.emf.ecore.EAttribute getInputFilterRecipe_KeyID()

      Returns the meta object for the attribute '`Key ID`'.
      Returns:
        the meta object for the attribute 'Key ID'.
      See Also:
        `InputFilterRecipe.getKeyID()`, `getInputFilterRecipe()`
      Generated:

    - #### getInputFilterRecipe_Mask

          org.eclipse.emf.ecore.EReference getInputFilterRecipe_Mask()

      Returns the meta object for the containment reference '`Mask`'.
      Returns:
        the meta object for the containment reference 'Mask'.
      See Also:
        `InputFilterRecipe.getMask()`, `getInputFilterRecipe()`
      Generated:

    - #### getSingleColumnAggregatorRecipe

          org.eclipse.emf.ecore.EClass getSingleColumnAggregatorRecipe()

      Returns the meta object for class '`Single Column Aggregator Recipe`'.
      Returns:
        the meta object for class 'Single Column Aggregator Recipe'.
      See Also:
        `SingleColumnAggregatorRecipe`
      Generated:

    - #### getSingleColumnAggregatorRecipe_MultisetAggregationOperator

          org.eclipse.emf.ecore.EAttribute getSingleColumnAggregatorRecipe_MultisetAggregationOperator()

      Returns the meta object for the attribute '`Multiset Aggregation Operator`'.
      Returns:
        the meta object for the attribute 'Multiset Aggregation Operator'.
      See Also:
        `SingleColumnAggregatorRecipe.getMultisetAggregationOperator()`, `getSingleColumnAggregatorRecipe()`
      Generated:

    - #### getSingleColumnAggregatorRecipe_AggregableIndex

          org.eclipse.emf.ecore.EAttribute getSingleColumnAggregatorRecipe_AggregableIndex()

      Returns the meta object for the attribute '`Aggregable Index`'.
      Returns:
        the meta object for the attribute 'Aggregable Index'.
      See Also:
        `SingleColumnAggregatorRecipe.getAggregableIndex()`, `getSingleColumnAggregatorRecipe()`
      Generated:

    - #### getSingleColumnAggregatorRecipe_GroupByMask

          org.eclipse.emf.ecore.EReference getSingleColumnAggregatorRecipe_GroupByMask()

      Returns the meta object for the containment reference '`Group By Mask`'.
      Returns:
        the meta object for the containment reference 'Group By Mask'.
      See Also:
        `SingleColumnAggregatorRecipe.getGroupByMask()`, `getSingleColumnAggregatorRecipe()`
      Generated:

    - #### getSingleColumnAggregatorRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getSingleColumnAggregatorRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `SingleColumnAggregatorRecipe.getArity()`
      Generated:

    - #### getDiscriminatorDispatcherRecipe

          org.eclipse.emf.ecore.EClass getDiscriminatorDispatcherRecipe()

      Returns the meta object for class '`Discriminator Dispatcher Recipe`'.
      Returns:
        the meta object for class 'Discriminator Dispatcher Recipe'.
      See Also:
        `DiscriminatorDispatcherRecipe`
      Generated:

    - #### getDiscriminatorDispatcherRecipe_DiscriminationColumnIndex

          org.eclipse.emf.ecore.EAttribute getDiscriminatorDispatcherRecipe_DiscriminationColumnIndex()

      Returns the meta object for the attribute '`Discrimination Column Index`'.
      Returns:
        the meta object for the attribute 'Discrimination Column Index'.
      See Also:
        `DiscriminatorDispatcherRecipe.getDiscriminationColumnIndex()`, `getDiscriminatorDispatcherRecipe()`
      Generated:

    - #### getDiscriminatorDispatcherRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getDiscriminatorDispatcherRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `DiscriminatorDispatcherRecipe.getArity()`
      Generated:

    - #### getDiscriminatorBucketRecipe

          org.eclipse.emf.ecore.EClass getDiscriminatorBucketRecipe()

      Returns the meta object for class '`Discriminator Bucket Recipe`'.
      Returns:
        the meta object for class 'Discriminator Bucket Recipe'.
      See Also:
        `DiscriminatorBucketRecipe`
      Generated:

    - #### getDiscriminatorBucketRecipe_BucketKey

          org.eclipse.emf.ecore.EAttribute getDiscriminatorBucketRecipe_BucketKey()

      Returns the meta object for the attribute '`Bucket Key`'.
      Returns:
        the meta object for the attribute 'Bucket Key'.
      See Also:
        `DiscriminatorBucketRecipe.getBucketKey()`, `getDiscriminatorBucketRecipe()`
      Generated:

    - #### getDiscriminatorBucketRecipe__GetArity

          org.eclipse.emf.ecore.EOperation getDiscriminatorBucketRecipe__GetArity()

      Returns the meta object for the '`Get Arity`' operation.
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `DiscriminatorBucketRecipe.getArity()`
      Generated:

    - #### getRederivableNodeRecipe

          org.eclipse.emf.ecore.EClass getRederivableNodeRecipe()

      Returns the meta object for class '`Rederivable Node Recipe`'.
      Returns:
        the meta object for class 'Rederivable Node Recipe'.
      See Also:
        `RederivableNodeRecipe`
      Generated:

    - #### getRederivableNodeRecipe_DeleteRederiveEvaluation

          org.eclipse.emf.ecore.EAttribute getRederivableNodeRecipe_DeleteRederiveEvaluation()

      Returns the meta object for the attribute '`Delete Rederive Evaluation`'.
      Returns:
        the meta object for the attribute 'Delete Rederive Evaluation'.
      See Also:
        `RederivableNodeRecipe.isDeleteRederiveEvaluation()`, `getRederivableNodeRecipe()`
      Generated:

    - #### getRederivableNodeRecipe_OptionalMonotonicityInfo

          org.eclipse.emf.ecore.EReference getRederivableNodeRecipe_OptionalMonotonicityInfo()

      Returns the meta object for the containment reference '`Optional Monotonicity Info`'.
      Returns:
        the meta object for the containment reference 'Optional Monotonicity Info'.
      See Also:
        `RederivableNodeRecipe.getOptionalMonotonicityInfo()`, `getRederivableNodeRecipe()`
      Generated:

    - #### getRelationEvaluationRecipe

          org.eclipse.emf.ecore.EClass getRelationEvaluationRecipe()

      Returns the meta object for class '`Relation Evaluation Recipe`'.
      Returns:
        the meta object for class 'Relation Evaluation Recipe'.
      Since:
        2.8
      See Also:
        `RelationEvaluationRecipe`
      Generated:

    - #### getRelationEvaluationRecipe_Evaluator

          org.eclipse.emf.ecore.EReference getRelationEvaluationRecipe_Evaluator()

      Returns the meta object for the reference '`Evaluator`'.
      Returns:
        the meta object for the reference 'Evaluator'.
      Since:
        2.8
      See Also:
        `RelationEvaluationRecipe.getEvaluator()`, `getRelationEvaluationRecipe()`
      Generated:

    - #### getIndex

          org.eclipse.emf.ecore.EDataType getIndex()

      Returns the meta object for data type '`Index`'. Indexes tell which variable of tuples are relevant for a given operation. TODO: is this necessary at all?
      Returns:
        the meta object for data type 'Index'.
      See Also:
        `Integer`
      Generated:
      Model:
        instanceClass="java.lang.Integer"

    - #### getAggregationOperator

          org.eclipse.emf.ecore.EDataType getAggregationOperator()

      Returns the meta object for data type '`Aggregation Operator`'.
      Returns:
        the meta object for data type 'Aggregation Operator'.
      See Also:
        `IMultisetAggregationOperator`
      Generated:
      Model:
        instanceClass="org.eclipse.viatra.query.runtime.matchers.psystem.aggregations.IMultisetAggregationOperator<?, ?, ?>"

    - #### getRecipesFactory

          RecipesFactory getRecipesFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated: